Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class JREngine

    java.lang.Object
      jet.bean.JREngine

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, JReportPrintListener, EngineExecuter

    public class JREngine

extends java.lang.Object
implements java.io.Externalizable, JReportPrintListener, EngineExecuter

See Also:
  Serialized Form

Field Summary
`static int` | `BIG5` Indicates converter encoding.
`static int` | `DHTMLFILEMAIL` Indicates the DHTML file mail format when exported to mail.
`static int` | `EXPORTSHAPE` Indicates export geometry object to excel file.
`static int` | `GB` Indicates converter encoding.
`static int` | `HIDDEN` Indicates the html text overflow type is HIDDEN.
`static int` | `HTMLFILEMAIL` Indicates the HTML file mail format when exported to mail.
`static int` | `HTMLMAIL` Indicates the HTML mail format when exported to mail.
`static int` | `IE` Indicates the html browser is IE.
`static int` | `KEEPORIGIN` Indicates keep wardwrap.
`static int` | `LANDSCAPE` The origin is at the bottom left of the paper with x running bottom to top and y running left to right.
`static int` | `NETSCAPE` Indicates the html browser is NETSCAPE.
`static int` | `NLSSTATUS_AUTO` Indicates JReport to apply NLS setting according to report template setting.
`static int` | `NLSSTATUS_DISABLE` Indicates JReport do not to apply NLS setting.
`static int` | `NLSSTATUS_ENABLE` Indicates JReport to apply NLS setting.
`static int` | `NOEXPORTSHAPE` Indicates export geometry object to excel file.
`static int` | `NOWORDWRAP` Indicates no wardwrap.
`static java.lang.String` | `PARAM_ALL_VALUE` The flag indicates that parameter's value is ALL.
`static int` | `PDFFILEMAIL` Indicates the PDF file mail format when exported to mail.
`static int` | `PLAINTXTMAIL` Indicates the Plain Text mail format when exported to mail.
`static int` | `PORTRAIT` The origin is at the top left of the paper with x running to the right and y running down the paper.
`static int` | `PSFILEMAIL` Indicates the PostScript file mail format when exported to mail.
`static int` | `RPT_STATUS_ALL` Indicates the status of report panel in reportset.
`static int` | `RPT_STATUS_CURRENT` Indicates the status of report panel in reportset.
`static int` | `RPT_STATUS_OPEN` Indicates the status of report panel in reportset.
`static int` | `RSTFILEMAIL` Indicates the RST file mail format when exported to mail.
`static int` | `RTFFILEMAIL` Indicates the RTF mail format when exported to mail.
`static int` | `SDFTEXTMAIL` Indicates the SDF Text mail format when exported to mail.
`static int` | `vDebug` Indicates to open the debug.
`static int` | `vError` Indicates to open the error.
`static int` | `VISIBLE` Indicates the html text overflow type is VISIBLE.
`static int` | `vOff` Indicates to close the debug.
`static int` | `WORDWRAPALL` Indicates all wardwrap.
`static int` | `XLSFILEMAIL` Indicates the Excel mail format when exported to mail.
`static int` | `XMLFILEMAIL` Indicates the XML mail format when exported to mail.

Constructor Summary
`JREngine()` Default constructor.
`JREngine(boolean setDebugLevel)` Deprecated.
`JREngine(java.lang.String uid, java.lang.String key)` Default constructor.
`JREngine(java.lang.String uid, java.lang.String key, boolean setDebugLevel)` Deprecated.

Method Summary
`boolean` | `addFileQuery(java.lang.String strName, java.io.File flPath)` Add the specified file query to the current catalog.
`boolean` | `addFileQuery(java.lang.String strName, java.io.File flPath, java.lang.String sourceName)` Add the specified file query to the current catalog.
`void` | `closeLog()` close the log stream.
`void` | `configMailServer(java.lang.String SMTPServerIP, java.lang.String MyMailAddress, int SMTPServerPort)` Configures the mail server.
`boolean` | `deleteWherePortion(java.lang.String strName)` Removes the specified where portion and save the catalog.
`boolean` | `deleteWherePortion(java.lang.String strName, java.lang.String sourceName)` Removes the specified where portion and save the catalog.
`void` | `exit()` When you want to quit from JReport Engine Bean, you should call this method.
`void` | `exit(int timeout)` When you want to quit from JReport Engine Bean, you should call this method.
`boolean` | `exportToDhtml(java.lang.String htmlFileName)` Exports the current report to HTML.
`boolean` | `exportToDhtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser)` Exports the current report to HTML.
`boolean` | `exportToDhtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile)` Exports the current report to HTML.
`boolean` | `exportToDhtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin)` Exports the current report to HTML.
`boolean` | `exportToDhtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, int resolution)` Exports the current report to HTML.
`boolean` | `exportToDhtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, java.lang.String title)` Exports the current report to HTML.
`boolean` | `exportToDhtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, java.lang.String title, int resolution, int overflowType)` Exports the current report to HTML.
`boolean` | `exportToDhtml(java.lang.String rstFileName, java.lang.String htmlFileName)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToDhtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToDhtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToDhtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToDhtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, int resolution)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToDhtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, java.lang.String title)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToDhtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, java.lang.String title, int resolution, int overflowType)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToFax(ExportInfo info, java.lang.String portStr, java.lang.String initStr, int iDialing, int iFlowControl, java.lang.String flowCommand, int iClass, int txtTimeOut, int txtRetries, boolean q_best, boolean q_normal, boolean q_fast, boolean isAddCover, java.lang.String faxnum, java.lang.String from, java.lang.String to, java.lang.String company, java.lang.String phone, java.lang.String date, java.lang.String re, java.lang.String comments, boolean urgent, boolean review, boolean comment, boolean reply)` Exports the current report to fax.
`boolean` | `exportToFax(java.lang.String portStr, java.lang.String initStr, int iDialing, int iFlowControl, java.lang.String flowCommand, int iClass, int txtTimeOut, int txtRetries, boolean q_best, boolean q_normal, boolean q_fast, boolean isAddCover, java.lang.String faxnum, java.lang.String from, java.lang.String to, java.lang.String company, java.lang.String phone, java.lang.String date, java.lang.String re, java.lang.String comments, boolean urgent, boolean review, boolean comment, boolean reply)` Exports the current report to fax.
`boolean` | `exportToFax(java.lang.String portStr, java.lang.String initStr, int iDialing, int iFlowControl, java.lang.String flowCommand, int iClass, int txtTimeOut, int txtRetries, boolean q_best, boolean q_normal, boolean q_fast, java.lang.String faxnum)` Exports the current report to fax.
`boolean` | `exportToFaxServer(ExportInfo info, java.lang.String className, JRFaxServerInfo faxinfo, JRCoverInfo coverinfo)` Exports the report to faxserver.
`boolean` | `exportToHtml(ExportInfo info, HtmlParameter param)` Exports the report to HTML file.
`boolean` | `exportToHtml(java.lang.String htmlFileName)` Exports the current report to HTML.
`boolean` | `exportToHtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser)` Exports the current report to HTML.
`boolean` | `exportToHtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile)` Exports the current report to HTML.
`boolean` | `exportToHtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin)` Exports the current report to HTML.
`boolean` | `exportToHtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, int resolution)` Exports the current report to HTML.
`boolean` | `exportToHtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, java.lang.String title)` Exports the current report to HTML.
`boolean` | `exportToHtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, java.lang.String title, int resolution, int overflowType)` Exports the current report to HTML.
`boolean` | `exportToHtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, java.lang.String title, int resolution, int overflowType, int chartFormat)`
`boolean` | `exportToHtml(java.lang.String rstFileName, java.lang.String htmlFileName)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToHtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToHtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToHtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToHtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, int resolution)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToHtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, java.lang.String title)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToHtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, java.lang.String title, int resolution, int overflowType)` Exports result report file(with the .rst extension)to a HTML file.
`boolean` | `exportToHtml(java.lang.String rstFileName, java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser, boolean bincdrilldownfile, boolean noMargin, java.lang.String title, int resolution, int overflowType, int chartFormat)`
`void` | `exportToMail(ExportInfo exportInfo, MailInformation info)`
`void` | `exportToMail(MailInformation info)`
`void` | `exportToMail(java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, boolean isDataOnly, java.lang.String xsdFile)` Exports the current report to mail.
`void` | `exportToMail(java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat)` Exports the current report to mail.
`void` | `exportToMail(java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin)` Exports the current report to mail.
`void` | `exportToMail(java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight)` Exports the current report to mail.
`void` | `exportToMail(java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode)` Exports the current report to mail.
`void` | `exportToMail(java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage)` Exports the current report to mail.
`void` | `exportToMail(java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage, boolean isMutibleFileXML, boolean isDataOnlyXML, boolean hasHeadFoot)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, boolean isDataOnly, java.lang.String xsdFile)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage, boolean isDataOnlyXML, java.lang.String xsdFile, boolean hasHeadFoot)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage, boolean isDataOnlyXML, java.lang.String xsdFile, boolean hasHeadFoot, boolean isGifTrans)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage, boolean isDataOnlyXML, java.lang.String xsdFile, boolean hasHeadFoot, boolean isGifTrans, boolean bTxtCompress)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage, boolean isDataOnlyXML, java.lang.String xsdFile, boolean hasHeadFoot, boolean isGifTrans, boolean bTxtCompress, boolean isTable)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage, boolean isDataOnlyXML, java.lang.String xsdFile, boolean hasHeadFoot, boolean isGifTrans, boolean bTxtCompress, boolean isTable, int isWordWrap)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage, boolean isDataOnlyXML, java.lang.String xsdFile, boolean hasHeadFoot, boolean isGifTrans, boolean bTxtCompress, boolean isTable, int isWordWrap, boolean isBiff8)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage, boolean isDataOnlyXML, java.lang.String xsdFile, boolean hasHeadFoot, boolean isGifTrans, boolean bTxtCompress, boolean isTable, int isWordWrap, boolean isBiff8, boolean bToc, boolean bDrill, java.lang.String encoding)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage, boolean isDataOnlyXML, java.lang.String xsdFile, boolean hasHeadFoot, boolean isGifTrans, boolean bTxtCompress, boolean isTable, int isWordWrap, boolean isBiff8, int param)`
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage, boolean isDataOnlyXML, java.lang.String xsdFile, boolean hasHeadFoot, boolean isGifTrans, boolean bTxtCompress, boolean isTable, int isWordWrap, boolean isBiff8, int param, boolean bToc, boolean bDrill)` Exports the current report to mail.
`void` | `exportToMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, int rptformat, boolean noMargin, int udwidth, int udheight, boolean isSimPrintMode, int isCompressImage, boolean isDataOnlyXML, java.lang.String xsdFile, boolean hasHeadFoot, boolean isGifTrans, boolean bTxtCompress, boolean isTable, int isWordWrap, boolean isBiff8, int param, boolean bToc, boolean bDrill, java.lang.String encoding)`
`java.awt.print.Pageable` | `ExportToPageable()` set default resolution as 72 into Communicator for printer and return it.
`boolean` | `exportToPDF(ExportInfo info, PDFParameter param)` Exports the report to PDF file.
`boolean` | `exportToPdf(java.io.OutputStream stream)` Exports the current report to a PDF OutputStream.
`boolean` | `exportToPdf(java.io.OutputStream stream, boolean noMargin, int isCompressImage, boolean isTransparent, boolean bToc, java.lang.String password, int[] pages, int[][] pageRange)` Exports the current report to a PDF OutputStream.
`boolean` | `exportToPdf(java.lang.String pdfFileName)` Exports the current report to a PDF file.
`boolean` | `exportToPdf(java.lang.String pdfFileName, boolean noMargin)` Exports the current report to a PDF file.
`boolean` | `exportToPdf(java.lang.String pdfFileName, boolean noMargin, boolean isSimPrintMode)` Exports the current report to a PDF file.
`boolean` | `exportToPdf(java.lang.String pdfFileName, boolean noMargin, boolean isSimPrintMode, boolean isCompressImage)` Exports the current report to a PDF file.
`boolean` | `exportToPdf(java.lang.String pdfFileName, boolean noMargin, boolean isSimPrintMode, int isCompressImage, boolean isTransparent)` Exports the current report to a PDF file.
`boolean` | `exportToPdf(java.lang.String pdfFileName, boolean noMargin, boolean isSimPrintMode, int isCompressImage, boolean isTransparent, boolean bToc, boolean bDrill)` Exports the current report to a PDF file.
`boolean` | `exportToPdf(java.lang.String pdfFileName, boolean noMargin, boolean isSimPrintMode, int isCompressImage, boolean isTransparent, boolean bToc, boolean bDrill, java.lang.String password)` Exports the current report to a PDF file.
`boolean` | `exportToPdf(java.lang.String filename, PDFParameter parameter)` Exports the current report to a PDF file.
`boolean` | `exportToPdf(java.lang.String rstFileName, java.lang.String pdfFileName)` Exports result report file(with the .rst extension)to a PDF file.
`boolean` | `exportToPdf(java.lang.String rstFileName, java.lang.String pdfFileName, boolean noMargin)` Exports result report file(with the .rst extension)to a PDF file.
`boolean` | `exportToPdf(java.lang.String rstFileName, java.lang.String pdfFileName, boolean noMargin, boolean isSimPrintMode)` Exports result report file(with the .rst extension)to a PDF file.
`boolean` | `exportToPdf(java.lang.String rstFileName, java.lang.String pdfFileName, boolean noMargin, boolean isSimPrintMode, boolean isCompressImage)` Exports result report file(with the .rst extension)to a PDF file.
`boolean` | `exportToPdf(java.lang.String rstFileName, java.lang.String pdfFileName, boolean noMargin, boolean isSimPrintMode, int isCompressImage, boolean isTransparent)` Exports result report file(with the .rst extension)to a PDF file.
`boolean` | `exportToPdf(java.lang.String rstFileName, java.lang.String pdfFileName, boolean noMargin, boolean isSimPrintMode, int isCompressImage, boolean isTransparent, boolean bToc, boolean bDrill)` Exports the current report to a PDF file.
`boolean` | `exportToPdf(java.lang.String rstFileName, java.lang.String pdfFileName, boolean noMargin, boolean isSimPrintMode, int isCompressImage, boolean isTransparent, boolean bToc, boolean bDrill, java.lang.String password)` Exports the current report to a PDF file.
`boolean` | `exportToPdf(java.lang.String rstFileName, java.lang.String filename, PDFParameter parameter)` Exports the current report to a PDF file.
`boolean` | `exportToPS(ExportInfo info, PSParameter param)` Exports the report to postscript file.
`boolean` | `exportToPS(java.io.OutputStream stream)` Exports the current report to a PS(PostScript) stream.
`boolean` | `exportToPS(java.io.OutputStream stream, boolean noMargin)` Exports the current report to a PS(PostScript) stream.
`boolean` | `exportToPS(java.lang.String psFileName)` Exports the current report to a PS(PostScript) file.
`boolean` | `exportToPS(java.lang.String psFileName, boolean noMargin)` Exports the current report to a PS(PostScript) file.
`boolean` | `exportToPS(java.lang.String rstFileName, java.lang.String psFileName)` Exports report result file(with the .rst extension)to a PS(PostScript) file.
`boolean` | `exportToPS(java.lang.String rstFileName, java.lang.String psFileName, boolean noMargin)` Exports report result file(with the .rst extension)to a PS(PostScript) file.
`boolean` | `exportToRst(java.util.Map reportInfo, java.lang.String rstFileName, boolean isZip)` save reports and views to a .rst file.
`boolean` | `exportToRst(java.lang.String rstFileName)` save current report to a .rst file.
`boolean` | `exportToRst(java.lang.String loadRstFileName, java.lang.String rstFileName)` load a .rst file and save to another .rst file.
`boolean` | `exportToRtf(ExportInfo info, RtfParameter param)` Exports the report to RTF file.
`boolean` | `exportToRtf(java.io.OutputStream stream)` Exports the current report to RTF(Rich Text Format).
`boolean` | `exportToRtf(java.io.OutputStream stream, boolean noMargin)` Exports the current report to RTF(Rich Text Format).
`boolean` | `exportToRtf(java.lang.String rtfFileName)` Exports the current report to RTF(Rich Text Format).
`boolean` | `exportToRtf(java.lang.String rtfFileName, boolean noMargin)` Exports the current report to RTF(Rich Text Format).
`boolean` | `exportToRtf(java.lang.String rstFileName, java.lang.String rtfFileName)` Exports report result file(with the .rst extension)to RTF(Rich Text Format).
`boolean` | `exportToRtf(java.lang.String rstFileName, java.lang.String rtfFileName, boolean noMargin)` Exports report result file(with the .rst extension)to RTF(Rich Text Format).
`boolean` | `exportToText(ExportInfo info, TextParameter param)` Exports the report to text file.
`boolean` | `exportToText(java.io.OutputStream stream, boolean isNormalText)` Exports current report to a OutputStream.
`boolean` | `exportToText(java.io.OutputStream stream, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight, boolean compress, int resolution, boolean quoteMark, boolean hasHeadFoot, boolean forWindows)` Exports current report to a TEXT file.
`boolean` | `exportToText(java.lang.String textFileName, boolean isNormalText)` Exports current report to a TEXT file.
`boolean` | `exportToText(java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter)` Exports current report to a TEXT file.
`boolean` | `exportToText(java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight)` Exports current report to a TEXT file.
`boolean` | `exportToText(java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight, boolean compress, int resolution)` Exports current report to a TEXT file.
`boolean` | `exportToText(java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight, boolean compress, int resolution, boolean quoteMark, boolean hasHeadFoot)` Exports current report to a TEXT file.
`boolean` | `exportToText(java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight, boolean compress, int resolution, boolean quoteMark, boolean hasHeadFoot, boolean forWindows)` Exports current report to a TEXT file.
`boolean` | `exportToText(java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight, boolean compress, int resolution, boolean quoteMark, boolean hasHeadFoot, boolean forWindows, boolean ignoreDelimiter)` Exports current report to a TEXT file.
`boolean` | `exportToText(java.lang.String textFileName, boolean isNormalText, int udchWidth, int udchHeight)` Exports current report to a TEXT file.
`boolean` | `exportToText(java.lang.String rstFileName, java.lang.String textFileName, boolean isNormalText)` Exports result report file(with the .rst extension)to a TEXT file.
`boolean` | `exportToText(java.lang.String rstFileName, java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter)` Exports result report file(with the .rst extension)to a TEXT file.
`boolean` | `exportToText(java.lang.String rstFileName, java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight)` Exports result report file(with the .rst extension)to a TEXT file.
`boolean` | `exportToText(java.lang.String rstFileName, java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight, boolean isQuoteMark, boolean hasHeadFoot)` Exports result report file(with the .rst extension)to a TEXT file.
`boolean` | `exportToText(java.lang.String rstFileName, java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight, boolean compress, int resolution)` Exports result report file(with the .rst extension)to a TEXT file.
`boolean` | `exportToText(java.lang.String rstFileName, java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight, boolean compress, int resolution, boolean quoteMark, boolean hasHeadFoot)` Exports result report file(with the .rst extension)to a TEXT file.
`boolean` | `exportToText(java.lang.String rstFileName, java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight, boolean compress, int resolution, boolean quoteMark, boolean hasHeadFoot, boolean forWindows)` Exports result report file(with the .rst extension)to a TEXT file.
`boolean` | `exportToText(java.lang.String rstFileName, java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter, int udchWidth, int udchHeight, boolean compress, int resolution, boolean quoteMark, boolean hasHeadFoot, boolean forWindows, boolean ignoreDelimiter)` Exports result report file(with the .rst extension)to a TEXT file.
`boolean` | `exportToText(java.lang.String rstFileName, java.lang.String textFileName, boolean isNormalText, int udchWidth, int udchHeight)` Exports result report file(with the .rst extension)to a TEXT file.
`boolean` | `exportToXls(ExportInfo info, ExcelParameter param)` Exports the report to Excel file.
`boolean` | `exportToXls(java.io.OutputStream os)` Exports the current report to BIFF(Binary File Format).
`boolean` | `exportToXls(java.io.OutputStream os, int isWordWrap, int param, boolean shareLabel)` Exports report result file(with the .rst extension)to BIFF(Binary File Format).
`boolean` | `exportToXls(java.lang.String xlsFileName)` Exports the current report to BIFF(Binary File Format).
`boolean` | `exportToXls(java.lang.String xlsFileName, int isWordWrap)` Exports report result file(with the .rst extension)to BIFF(Binary File Format).
`boolean` | `exportToXls(java.lang.String xlsFileName, int isWordWrap, boolean isBiff8)` Exports report result file(with the .rst extension)to BIFF(Binary File Format).
`boolean` | `exportToXls(java.lang.String xlsFileName, int isWordWrap, boolean isBiff8, int param)` Exports report result file(with the .rst extension)to BIFF(Binary File Format).
`boolean` | `exportToXls(java.lang.String xlsFileName, int isWordWrap, boolean isBiff8, int param, boolean shareLabel)` Exports report result file(with the .rst extension)to BIFF(Binary File Format).
`boolean` | `exportToXls(java.lang.String rstFileName, java.lang.String xlsFileName)` Exports report result file(with the .rst extension)to BIFF(Binary File Format).
`boolean` | `exportToXls(java.lang.String rstFileName, java.lang.String xlsFileName, int isWordWrap)` Exports report result file(with the .rst extension)to BIFF(Binary File Format).
`boolean` | `exportToXls(java.lang.String rstFileName, java.lang.String xlsFileName, int isWordWrap, boolean isBiff8)` Exports report result file(with the .rst extension)to BIFF(Binary File Format).
`boolean` | `exportToXls(java.lang.String rstFileName, java.lang.String xlsFileName, int isWordWrap, boolean isBiff8, int param)` Exports report result file(with the .rst extension)to BIFF(Binary File Format).
`boolean` | `exportToXls(java.lang.String rstFileName, java.lang.String xlsFileName, int isWordWrap, boolean isBiff8, int param, boolean shareLabel)` Exports report result file(with the .rst extension)to BIFF(Binary File Format).
`boolean` | `exportToXML(ExportInfo info, XmlParameter param)` Exports the report to xml file.
`boolean` | `exportToXML(java.lang.String xmlFileName, boolean isMultiFile, boolean isOnlyData)` Deprecated.
`boolean` | `exportToXML(java.lang.String xmlFileName, boolean isOnlyData, java.lang.String existXSFile)` Exports the current report to XML.
`boolean` | `exportToXML(java.lang.String rstFileName, java.lang.String xmlFileName, boolean isMultiFile, boolean isOnlyData)` Deprecated.
`boolean` | `exportToXML(java.lang.String rstFileName, java.lang.String xmlFileName, boolean isOnlyData, java.lang.String existedSchemaFile)` Exports the specified report result to XML.
`boolean` | `exportToXMLObject(boolean isOnlyData, java.lang.String existedSchemaFile)` Initialize exporting the current report to XML Element.
`boolean` | `exportToXMLObject(java.lang.String rstFileName, boolean isOnlyData, java.lang.String existedSchemaFile)` Initialize exporting the specified report result to XML Element.
`java.lang.String[]` | `getAllDataSource(int rptStatus)` get all datasource name used by reports with specified status.
`static java.lang.String[]` | `getAllDataSource(java.lang.String catName)` get all datasource name of specified catalog.
`static java.lang.String[]` | `getAllDataSource(java.lang.String rptSetName, int rptStatus)`
`static java.lang.String[]` | `getAllDataSource(java.lang.String catName, java.lang.String rptSetName, int rptStatus)` get all datasource name used by reports with specified status.
`java.util.Vector` | `getAllHtmlFile()` Returns all html files that are generated by exportToHtml.
`static java.util.Vector` | `getAllMediaTray(java.lang.String printerName)` for get all media tray for specify printer.Only can do this in JDK14 and advance JDK version
`java.util.Vector` | `getAllPdfFile()` Returns all PDF files that are generated by exportToPDF.
`static java.util.Vector` | `getAllPrinters()` for get the all printer in system.only can do this in JDK14 and advance JDK version
`static java.util.Vector` | `getAllPrinters(java.lang.String reportHome)` If use JDK14 and higher JDK version to setup production, will return system all avilable printer.Otherwise get all printer names which user defined in printers.ini
`java.util.Vector` | `getAllRtfFile()` Returns all RTF files that are generated by exportToRTF.
`java.util.Vector` | `getAllXlsFile()` Returns all Excel files that are generated by exportToXls.
`java.util.Vector` | `getAllXMLFile()` return the output file of export to xml
`java.util.Vector` | `getAvailableLocales(java.lang.String clt)` Gets all of the Locales that current report supported.
`java.util.Enumeration` | `getAvailableQueryFields()` Gets the available fields of the query The available fields include: 1.
`java.util.Enumeration` | `getAvailableWherePortions()` Gets the enumeration of all the where portion names in the catalog.
`java.util.Enumeration` | `getAvailableWherePortions(java.lang.String datasourceName, java.lang.String queryName)` Gets the enumeration of all the where portion names in the catalog.
`java.lang.String` | `getCatName()` Gets the name of the catalog.
`java.lang.String` | `getClientName()` Gets the client name.
`Communicator` | `getCommunicator(java.lang.String filename, int[] pageNums)` Gets the communicator from a result file.
`Communicator` | `getCommunicator(java.lang.String filename, int[] pageNums, java.lang.String rptName, java.lang.String viewName)` Gets the communicator from a result file.
`Communicator` | `getCommunicator(java.lang.String rptName, java.lang.String viewName, boolean security)`
`int` | `getConvertFromEncoding()` Gets the original encoding for convertor of traditional/simple chinese
`int` | `getConvertToEncoding()` Gets the target encoding for convertor of traditional/simple chinese
`ReportInfo` | `getCurrentReport()` Gets the current report information.
`java.util.Vector` | `getCurrReportParams()` gets all parameters used by the current report in the report set.
`java.lang.String` | `getDataDriver()` Get the data driver of the report which the engine will run.
`java.lang.String` | `getDataSetName()` Get the dataset name which is defined with datadriver
`static java.lang.String` | `getDefaultEncoding()` Gets default encoding of Engine Bean
`static java.lang.String` | `getDefaultLocale()` Gets default Locale of Engine Bean
`java.util.Vector` | `getDetailsFields()` Get all the fields information in the details section including fields in all subreport a field informaiton including field name and type
`java.lang.String` | `getEncoding()` Gets current encoding.
`InputStreamFactory` | `getHDSStreamFactory(java.lang.String datasourceName, java.lang.String HDSName)` Gets HDS data stream factory
`java.lang.String` | `getHelpPath()` Gets the help path.
`int` | `getID()` get id of engine, the id is unique identification of a engine
`boolean` | `getIsRSDQuickViewMode()` Gets status of JReport DHTML quick-view mode
`java.lang.String` | `getJoinCondition()` Get join portion condition caluse in SQL statement.
`java.lang.String` | `getKey()` Gets the key of JReport runtime.
`java.lang.String` | `getLoadReport()` get String of load report flag.
`NLSBundleInfo` | `getNLSBundleInfo()` Gets NLS resource bundled informations
`int[]` | `getPageNumbers()` Gets the page numbers of page level security.
`int` | `getPageOrientation()` Gets the page orientation.
`java.util.Hashtable` | `getParamDescs()` Get Hashtable contaions all objects of ParamDesc the report needed contains all sub-report.
`java.lang.String` | `getParamFile()` Sets the name of the parameter values file.
`java.util.Hashtable` | `getParamToSubRpt()` Returns a Hashtable.
`java.lang.String` | `getParamValues()` Gets the parameter values of the report.
`java.lang.String` | `getPrintStatus()` Get print status after printing.
`java.lang.String` | `getReason()` Get the error reason after occur error.
`int` | `getRecordLength()` Deprecated. As of JReport version 8, programs return -1 always.
`Communicator` | `getReportCommunicator()` Get the Communicator of this report.
`java.lang.String` | `getReportHome()` Gets the report home path where the report.ini and other JReport system files exist.
`java.lang.String` | `getReportName()` Gets the name of report.
`java.util.Vector` | `getReportParams()` get parameters used by current reports.
`java.util.Vector` | `getReportParams(int status)` get parameters used by current reports.
`java.util.Vector` | `getReportParams(java.lang.String userName, boolean bFirstLevel)` Gets all parameters in this report.
`java.util.Vector` | `getReportParams(java.lang.String userName, ParamDesc param, java.lang.String value, boolean forRemove)` Return parameters related to the parameter specified by param and value.
`java.util.Vector` | `getReportParams(java.lang.String userName, java.lang.String paramName, java.lang.String paramValue, boolean isAll)`
`java.util.Vector` | `getReportParams(java.util.Vector reportNames)` get parameters used by current reports.
`java.util.Vector` | `getReportsOfReportSet()` get report info
`static java.util.Vector` | `getReportsOfReportSet(java.lang.String reportSetFileName)`
`static java.util.Vector` | `getReportsOfReportSet(java.lang.String catName, java.lang.String reportSetFileName)` get report info
`java.util.Vector` | `getReportsOfResult(java.lang.String rstFileName)` get report info from result file
`java.lang.String` | `getResultFile()` Gets the name of the result file which will be generated by JReport Engine Bean.
`java.lang.String` | `getResultSet(java.lang.String url)` Gets the cach query result set of the report which the engine will run.
`RuntimeInfo` | `getRuntimeInfo()` Deprecated.
`RuntimeInfo` | `getRuntimeInfo(java.lang.String reportName)` Gets RuntimeInfo of report
`java.util.HashMap` | `getRuntimeInfos()` Gets RuntimeInfos of reportset
`java.lang.String` | `getSID()` Gets security identifier of page level security.
`boolean` | `getSingleThread()` Checks current engine is whether single-thread.
`java.lang.String` | `getSQL()` Gets the sql statement of this report.
`java.lang.String` | `getStatus()` Gets the status after an action.
`java.util.Vector` | `getStyleGroupNames()` Get all style group names in template
`java.lang.String` | `getTemplatePath()` Gets the template path.
`java.lang.String` | `getTempPath()` Gets the temporary path.
`java.lang.Throwable` | `getThreadError()` gets throwable that throws when report runing
`java.lang.Throwable` | `getThrowable()` Gets the throwable error information.
`boolean` | `getThrowException()` return true if the engine throws exception while program throw exception.
`int` | `getTotalPageNumber()` Gets the total page number of the report.
`java.lang.String` | `getUID()` Gets the UserID of JReport runtime.
`static java.lang.String[]` | `getUserInfo(java.lang.String catName, java.lang.String dataSourceName)` get default user info in specified catalog and data source
`static java.lang.String[]` | `getUserInfoByReport(java.lang.String reportName, java.lang.String dataSourceName)` get default user info in specified catalog and data source
`java.lang.String` | `getVersion()` Get version number, build number of the current version.
`java.lang.String` | `getWhereCondition()` Get where portion conditions caluse in SQL statement.
`java.lang.String` | `getWherePortionsSQL(java.lang.String nameOfWherePortion)` Gets the specified where portion.
`java.lang.String` | `getWherePortionsSQL(java.lang.String nameOfWherePortion, java.lang.String sourceName)` Gets the specified where portion.
`InputStreamFactory` | `getXmlStreamFactory(java.lang.String datasourceName)` Gets xml data stream factory
`java.lang.String` | `getXSDFile()` gets the report template xsd file.
`boolean` | `hasPageSecurity()` Checks the current report security.
`boolean` | `hasPageSecurity(java.lang.String rptName, java.lang.String viewName)` Checks the current report security.
`boolean` | `hasParameter()` check whether current report have parameters.
`boolean` | `isIgnoreExportStyle()` Gets if the report exporting ignore export style
`boolean` | `isIgnoreExportStyle(boolean ignoreExportStyle)` Sets if the report exporting ignore export style
`void` | `layoutReport(java.lang.String rptName)` layout a report.
`void` | `modifyUserInfo(java.lang.String strUserName, java.lang.String strPassword)` Modifies the User and Password information in the specified connection description.
`void` | `modifyUserInfo(java.lang.String strUserName, java.lang.String strPassword, java.lang.String dataSourceName)` Modifies the User and Password information in the specified connection description.
`boolean` | `modifyWherePortion(java.lang.String strName, java.lang.String strSQL)`
`boolean` | `modifyWherePortion(java.lang.String strName, java.util.Vector vecGroups)`
`java.util.Vector` | `paramValueChanged(java.lang.String paramName, java.lang.String paramValue)` change all Param Descs when cascading parameter changed
`java.util.Vector` | `paramValueChanged(java.lang.String paramName, java.lang.String[] paramValues)` change all Param Descs when parameter changed
`void` | `printReport()` Prints the report.
`void` | `printReport(ExportInfo info, java.lang.Object job, boolean bInteractive, java.lang.Object pageFormat, boolean bInBackground, JReportPrintListener jreportprintlistener, int useJDK, java.lang.String jobName, java.util.Vector attributeInfo, java.lang.String printer)` Prints the report with the specified parameters.
`void` | `printReport(java.lang.Object job, boolean bInteractive, java.lang.Object pageFormat, boolean bInBackground, JReportPrintListener jreportprintlistener, int useJDK, java.lang.String jobName, java.util.Vector attributeInfo, java.lang.String printer)` Prints the report with the specified parameters.
`void` | `printReport(java.lang.Object printJob, java.lang.Object pageFormat, boolean bInteractive, boolean bInBackground, boolean bUseJDK11)` Prints the report with the special parameters.
`void` | `printReport(java.lang.Object printJob, java.lang.Object pageFormat, boolean bInteractive, boolean bInBackground, boolean bUseJDK11, boolean bSeparateLargePage)` Prints the report with the special parameters.
`void` | `printReport(java.lang.Object printJob, java.lang.Object pageFormat, boolean bInteractive, boolean bInBackground, boolean bUseJDK11, boolean bSeparateLargePage, java.lang.String jobName)`
`void` | `printReport(java.lang.Object printJob, java.lang.Object pageFormat, boolean bInteractive, boolean bInBackground, boolean bUseJDK11, boolean bSeparateLargePage, java.lang.String jobName, java.lang.String printer)`
`void` | `printReportJDK14(boolean bInteractive, boolean bInBackground, JReportPrintListener jreportprintlistener, java.lang.String jobName, java.util.Vector attributeInfo, java.util.Vector customMedias, java.lang.String printer)` Prints the report with the specified parameters.
`org.w3c.dom.Element` | `publishXMLNextPage()` return next xml object when export to xml object.
`void` | `refreshReport(java.lang.String rptName)` build bound data info of report for data engine and layout report.
`boolean` | `relayout(java.lang.String reportName, RuntimeInfo info)` Re-run report with specified RuntimeInfo
`void` | `runAllReport()` run all OPEN reports in the report set.
`void` | `runCurrentReport()` run current report based on current report in the report set.
`void` | `runDataSet(java.lang.String dataSetId)` run a data set and run related reports.
`void` | `runReport()` run all opened report
`void` | `runReport(boolean genRst)` parameter genRst decide to output rst file or not, during runReport.
`void` | `runReport(java.lang.String rsdFilename)` run report based on rsd report file.
`void` | `runReport(java.lang.String[] rptNames, java.util.Vector[] viewNames)`
`void` | `runReport(java.util.Vector vReportName)` run specified reports in the report set.
`boolean` | `save(java.lang.String resultFileName)` save current report to result file.
`boolean` | `saveCatalog()` Saves the catalog
`boolean` | `saveWherePortion(java.lang.String strName, java.lang.String strSQL)`
`boolean` | `saveWherePortion(java.lang.String strName, java.lang.String strQueryName, java.lang.String strSQL)` Saves the where portion to the specified query and save the catalog.
`boolean` | `saveWherePortion(java.lang.String strName, java.lang.String dataSourceName, java.lang.String strQueryName, java.lang.String strSQL)` Saves the where portion to the specified query and save the catalog.
`boolean` | `saveWherePortion(java.lang.String strName, java.lang.String dataSourceName, java.lang.String strQueryName, java.util.Vector vecGroups)` Save the where portion to the specified query and save the catalog.
`boolean` | `saveWherePortion(java.lang.String strName, java.lang.String strQueryName, java.util.Vector vecGroups)` Save the where portion to the specified query and save the catalog.
`boolean` | `saveWherePortion(java.lang.String strName, java.util.Vector vecGroups)`
`void` | `sendNormalMail(java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, java.util.Vector additionfiles)` Export current report engine that has already run to mail.
`void` | `sendNormalMail(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean compress, java.util.Vector additionfiles)`
`void` | `setAuthencatorMessage(java.lang.String username, java.lang.String password, java.lang.String mailAddress)` set the mail authencator message
`void` | `setCatalogBean(JRCatalog catalogBean)` Sets the catalog bean.
`void` | `setCatName(java.lang.String catName)` Sets the name of the catalog.
`void` | `setClientName(java.lang.String name)` Sets the client name.
`void` | `setConnection(java.sql.Connection userDbConnection)` Set the connection required to run the engine.
`void` | `setConnection(java.sql.Connection userDbConnection, boolean fetchSupportInfo)` Set the connection required to run the engine.
`void` | `setConnection(java.lang.String dataSourceName, java.sql.Connection userDbConnection)` Sets the connection required to run the engine.
`void` | `setConnection(java.lang.String dataSourceName, java.sql.Connection userDbConnection, boolean fetchSupportInfo)` Sets the connection required to run the engine.
`void` | `setConnection(java.lang.String strUID, java.lang.String strPSWD)` method setConnection() set arguments for connectiong database.
`void` | `setConnection(java.lang.String dataSourceName, java.lang.String strUID, java.lang.String strPSWD)` Sets the connection required to run the engine.
`void` | `setConnection(java.lang.String strURL, java.lang.String strUID, java.lang.String strPSWD, java.lang.String strJdbcDriver)` Sets the connection required to run the engine.
`void` | `setConnection(java.lang.String strURL, java.lang.String strUID, java.lang.String strPSWD, java.lang.String strJdbcDriver, boolean fetchSupportInfo)` Sets the connection required to run the engine.
`void` | `setConnection(java.lang.String dataSourceName, java.lang.String strURL, java.lang.String strUID, java.lang.String strPSWD, java.lang.String strJdbcDriver)` Sets the connection required to run the engine.
`void` | `setConnection(java.lang.String dataSourceName, java.lang.String strURL, java.lang.String strUID, java.lang.String strPSWD, java.lang.String strJdbcDriver, boolean fetchSupportInfo)` Sets the connection required to run the engine.
`void` | `setConvertEncoding(int fromEncoding, int toEncoding)` Sets the encoding for convertor of traditional/simple chinese
`void` | `setDataDriver(java.lang.String url)` Sets the data driver of the report which the engine will run.
`void` | `setDataDriver(java.lang.String url, java.lang.String dataSetName)` Sets the data driver of the dataset in report which the engine will run.
`static void` | `setDefaultEncoding(java.lang.String defaultEncoding)` Sets default encoding of Engine Bean
`static void` | `setDefaultLocale(java.lang.String defaultLocale)` Sets default Locale of Engine Bean
`void` | `setEncoding(java.lang.String encoding)` Sets current encoding.
`void` | `setFetchSupportInfo(boolean fetchSupportInfo)` Set true to get the user support information.
`void` | `setHDSStreamFactory(java.lang.String datasourceName, java.lang.String HDSName, InputStreamFactory streamFactory)` Set HDS data stream factory
`void` | `setHelpPath(java.lang.String sHelpPath)` Sets the help path.
`void` | `setHtmlImageType(int imageType)` Deprecated.
`void` | `setKey(java.lang.String key)` Sets the key of JReport runtime.Applied from Version 4.0
`void` | `setLoadReport(java.lang.String loadReport)` Enables/disables to run the report.
`void` | `setLocale(java.util.Locale currentLocale)` Sets current locale.
`void` | `setLocale(java.lang.String locale)` Deprecated Sets current Locale by a string.
`void` | `setLocale(java.lang.String language, java.lang.String country)` Sets current Locale by string language and country.
`boolean` | `setLogFile(java.lang.String fileName)` Resets the log file.
`void` | `setNamedWherePortion(java.lang.String name)` Sets the where portion name in the query.
`void` | `setNamedWherePortion(java.lang.String dataSourceName, java.lang.String queryName, java.lang.String name)` Sets the where portion name in the query.
`void` | `setNLSBundleInfo(NLSBundleInfo info)` Sets NLS resource bundled informations
`void` | `setPageNumbers(int[] pageNums)` Sets the page numbers of page level security.
`void` | `setParamFile(java.lang.String paramFile)` Sets the name of the parameter values file.
`void` | `setParamValues(java.util.Properties params)` Sets the parameter values of the report.
`void` | `setParamValues(java.lang.String paramValues)` Sets the parameter values of the report.
`void` | `setPrintStatus()` set the print status before printing.
`void` | `setReportHome(java.lang.String reportHome)` Sets the report home path where the report.ini and other JReport system files exist.
`void` | `setReportName(java.lang.String reportName)` Sets the name of report.
`void` | `setResultFile(java.lang.String resultFile)` Specifies the name of the result file which will be generated by JReport Engine Bean.
`void` | `setResultSet(java.lang.String url)` Sets the cach query result set of the report which the engine will run.
`void` | `setRSDQuickViewMode(boolean isRSDQuickView)` Sets JReport DHTML quick-view mode
`void` | `setRuntimeInfo(RuntimeInfo runtimeInfo)` Deprecated.
`void` | `setRuntimeInfo(java.lang.String reportName, RuntimeInfo runtimeInfo)` Set RuntimeInfo of report
`void` | `setRuntimeInfos(java.util.HashMap runtimeInfos)` Sets RuntimeInfos of reportset key is report instance name, value is RuntimeInfo
`void` | `setSecurityContext(SecurityContext sc)` Sets the Security Context used for report
`void` | `setShowInfoLevel(int level)` Deprecated.
`void` | `setSID(java.lang.String sid)` Sets security identifier of page level security.
`void` | `setSingleThread(boolean single)` Sets the report engine to use single thread or not.
`void` | `setStyleGroup(java.lang.String styleGroupName)` Set style group.
`void` | `setTemplatePath(java.lang.String sTemplatePath)` Sets the template path.
`void` | `setTempPath(java.lang.String sTempPath)` Sets the temporary path.
`void` | `setThrowException(boolean isThrowException)` set whether throw exception while program throw exception.
`void` | `setTimeZone(java.lang.String timeZone)` Sets current time zone by a string.
`void` | `setTimeZone(java.util.TimeZone curTimeZone)` Sets current time zone.
`void` | `setUID(java.lang.String uid)` Sets the UserID of JReport runtime .Applied from Version 4.0
`void` | `setUserName(java.lang.String name)` Sets the user name used for report Security Context
`void` | `setUserResultSet(java.sql.ResultSet userResultSet)` Set the resultset required to run the report.
`void` | `setWherePortion(java.lang.String where)` Sets the where portion in the SQl query.
`void` | `setWherePortion(java.lang.String dataSourceName, java.lang.String queryName, java.lang.String where)` Sets the where portion in the SQl query.
`void` | `setXmlStreamFactory(java.lang.String datasourceName, InputStreamFactory streamFactory)` Sets xml data stream factory
`void` | `setXSDFile(java.lang.String sFilename)` Sets the report template xsd file.
`void` | `stopReport()` Deprecated. Stop running the report.
`void` | `stopReport(java.lang.String[] reports, java.util.Vector[] views)` Stop all the specified reports and views.
`void` | `stopReport(java.lang.String report, java.lang.String view)` Stop the specified report and view.
`void` | `stopReportSet()` Stop all running the report.
`void` | `waitForEngineFinish()` waiting until the engine process success.
`boolean` | `xmlHasNextPage()` judge whether have next page when export to xml object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Methods inherited from interface jet.export.print.JReportPrintListener
`printEnd, printStart`

Field Detail

### vOff

    public static final int vOff

  Indicates to close the debug.

### vDebug

    public static final int vDebug

  Indicates to open the debug.

### vError

    public static final int vError

  Indicates to open the error.

### LANDSCAPE

    public static final int LANDSCAPE

  The origin is at the bottom left of the paper with x running bottom to top and y running left to right. Note that this is not the Macintosh landscape but is the Window's and PostScript landscape.

  See Also:
    Constant Field Values

### PORTRAIT

    public static final int PORTRAIT

  The origin is at the top left of the paper with x running to the right and y running down the paper.

  See Also:
    Constant Field Values

### RSTFILEMAIL

    public static final int RSTFILEMAIL

  Indicates the RST file mail format when exported to mail.

### HTMLMAIL

    public static final int HTMLMAIL

  Indicates the HTML mail format when exported to mail.

### HTMLFILEMAIL

    public static final int HTMLFILEMAIL

  Indicates the HTML file mail format when exported to mail.

### PDFFILEMAIL

    public static final int PDFFILEMAIL

  Indicates the PDF file mail format when exported to mail.

### PLAINTXTMAIL

    public static final int PLAINTXTMAIL

  Indicates the Plain Text mail format when exported to mail.

### SDFTEXTMAIL

    public static final int SDFTEXTMAIL

  Indicates the SDF Text mail format when exported to mail.

### PSFILEMAIL

    public static final int PSFILEMAIL

  Indicates the PostScript file mail format when exported to mail.

### XLSFILEMAIL

    public static final int XLSFILEMAIL

  Indicates the Excel mail format when exported to mail.

### RTFFILEMAIL

    public static final int RTFFILEMAIL

  Indicates the RTF mail format when exported to mail.

### XMLFILEMAIL

    public static final int XMLFILEMAIL

  Indicates the XML mail format when exported to mail.

### DHTMLFILEMAIL

    public static final int DHTMLFILEMAIL

  Indicates the DHTML file mail format when exported to mail.

### IE

    public static final int IE

  Indicates the html browser is IE.

### NETSCAPE

    public static final int NETSCAPE

  Indicates the html browser is NETSCAPE.

### VISIBLE

    public static final int VISIBLE

  Indicates the html text overflow type is VISIBLE.

### HIDDEN

    public static final int HIDDEN

  Indicates the html text overflow type is HIDDEN.

### KEEPORIGIN

    public static final int KEEPORIGIN

  Indicates keep wardwrap.

### NOWORDWRAP

    public static final int NOWORDWRAP

  Indicates no wardwrap.

### WORDWRAPALL

    public static final int WORDWRAPALL

  Indicates all wardwrap.

### EXPORTSHAPE

    public static final int EXPORTSHAPE

  Indicates export geometry object to excel file.

### NOEXPORTSHAPE

    public static final int NOEXPORTSHAPE

  Indicates export geometry object to excel file.

### GB

    public static final int GB

  Indicates converter encoding.

### BIG5

    public static final int BIG5

  Indicates converter encoding.

### RPT_STATUS_CURRENT

    public static final int RPT_STATUS_CURRENT

  Indicates the status of report panel in reportset.

### RPT_STATUS_OPEN

    public static final int RPT_STATUS_OPEN

  Indicates the status of report panel in reportset.

### RPT_STATUS_ALL

    public static final int RPT_STATUS_ALL

  Indicates the status of report panel in reportset.

### NLSSTATUS_ENABLE

    public static int NLSSTATUS_ENABLE

  Indicates JReport to apply NLS setting.

### NLSSTATUS_DISABLE

    public static int NLSSTATUS_DISABLE

  Indicates JReport do not to apply NLS setting.

### NLSSTATUS_AUTO

    public static int NLSSTATUS_AUTO

  Indicates JReport to apply NLS setting according to report template setting.

### PARAM_ALL_VALUE

    public static final java.lang.String PARAM_ALL_VALUE

  The flag indicates that parameter's value is ALL.

Constructor Detail

### JREngine

    public JREngine()

  Default constructor.

### JREngine

    public JREngine(boolean setDebugLevel)

  Deprecated. Current logger base the logconfig.properties to control the logger level Default constructor.

  Parameters:
    `setDebugLevel` - indicates whether to set debug info.

### JREngine

    public JREngine(java.lang.String uid,
                    java.lang.String key)

  Default constructor. Applied from Versions 4.0

  Parameters:
    `uid` - the UserID of JReport runtime
    `key` - the key of JReoprt runtime

### JREngine

    public JREngine(java.lang.String uid,
                    java.lang.String key,
                    boolean setDebugLevel)

  Deprecated. Current logger base the logconfig.properties to control the logger level Default constructor. Applied from Version 4.0

  Parameters:
    `uid` - the UserID of JReport runtime
    `key` - the key of JReoprt runtime
    `setDebugLevel` - indicates whether to set debug info.

Method Detail

### getDefaultLocale

    public static java.lang.String getDefaultLocale()

  Gets default Locale of Engine Bean

  Returns:
    default Locale String of Engine Bean

### setDefaultLocale

    public static void setDefaultLocale(java.lang.String defaultLocale)

  Sets default Locale of Engine Bean

  Parameters:
    `defaultLocale` - Locale String to be set

### getDefaultEncoding

    public static java.lang.String getDefaultEncoding()

  Gets default encoding of Engine Bean

  Returns:
    default encoding String of Engine Bean

### setDefaultEncoding

    public static void setDefaultEncoding(java.lang.String defaultEncoding)

  Sets default encoding of Engine Bean

  Parameters:
    `default` - encoding String to be set

### getID

    public int getID()

  get id of engine, the id is unique identification of a engine

  Returns:
    id of the engine

### setConvertEncoding

    public void setConvertEncoding(int fromEncoding,
                                   int toEncoding)

  Sets the encoding for convertor of traditional/simple chinese

  Parameters:
    `fromEncoding` - the original encoding for convert
    `toEncoding` - the target encoding for convert

### getConvertFromEncoding

    public int getConvertFromEncoding()

  Gets the original encoding for convertor of traditional/simple chinese

  Returns:
    encoding type

### getConvertToEncoding

    public int getConvertToEncoding()

  Gets the target encoding for convertor of traditional/simple chinese

  Returns:
    encoding type

### getUID

    public java.lang.String getUID()

  Gets the UserID of JReport runtime. Applied from Version 4.0

### setUID

    public void setUID(java.lang.String uid)

  Sets the UserID of JReport runtime .Applied from Version 4.0

  Parameters:
    `uid` - the UserID of JReport runtime

### getKey

    public java.lang.String getKey()

  Gets the key of JReport runtime. Applied from Version 4.0

### setKey

    public void setKey(java.lang.String key)

  Sets the key of JReport runtime.Applied from Version 4.0

  Parameters:
    `key` - the key of JReport runtime

### setSingleThread

    public void setSingleThread(boolean single)

  Sets the report engine to use single thread or not.

  Parameters:
    `single` - true use single-thread. Otherwise use multi-thread.

### getSingleThread

    public boolean getSingleThread()

  Checks current engine is whether single-thread.

  Returns:
    true is single-thread. Otherwise is multi-thread.

### setStyleGroup

    public void setStyleGroup(java.lang.String styleGroupName)

  Set style group.

### setLocale

    public void setLocale(java.util.Locale currentLocale)

  Sets current locale.

### setLocale

    public void setLocale(java.lang.String locale)

  Deprecated Sets current Locale by a string. The parameter locale will be parse to become language, country and variant.

### setLocale

    public void setLocale(java.lang.String language,
                          java.lang.String country)

  Sets current Locale by string language and country.

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Sets current encoding.

### getEncoding

    public java.lang.String getEncoding()

  Gets current encoding.

### getAvailableLocales

    public java.util.Vector getAvailableLocales(java.lang.String clt)

  Gets all of the Locales that current report supported. The parameter clt is current client's Locale. If clt is in current report Locales it is moved to at index zero.

### setTimeZone

    public void setTimeZone(java.util.TimeZone curTimeZone)

  Sets current time zone.

### setTimeZone

    public void setTimeZone(java.lang.String timeZone)

  Sets current time zone by a string.

### setClientName

    public void setClientName(java.lang.String name)

  Sets the client name. If engine is used by server the client name is client machine name of request.

### getClientName

    public java.lang.String getClientName()

  Gets the client name.

### setTempPath

    public void setTempPath(java.lang.String sTempPath)

  Sets the temporary path.

  Parameters:
    `sTempPath` - the temporary path(absolute path).

### getTempPath

    public java.lang.String getTempPath()

  Gets the temporary path.

### setTemplatePath

    public void setTemplatePath(java.lang.String sTemplatePath)

  Sets the template path.

  Parameters:
    `sTemplatePath` - the template path(absolute path).

### setXSDFile

    public void setXSDFile(java.lang.String sFilename)

  Sets the report template xsd file.

  Parameters:
    `sFilename` - the template xsd file name(absolute path).

### getXSDFile

    public java.lang.String getXSDFile()

  gets the report template xsd file.

### getTemplatePath

    public java.lang.String getTemplatePath()

  Gets the template path.

### setHelpPath

    public void setHelpPath(java.lang.String sHelpPath)

  Sets the help path.

  Parameters:
    `sHelpPath` - the help path(absolute path).

### getHelpPath

    public java.lang.String getHelpPath()

  Gets the help path.

### getReportHome

    public java.lang.String getReportHome()

  Gets the report home path where the report.ini and other JReport system files exist.

  Returns:
    the report home path where the report.ini and other JReport system files exist.

### setReportHome

    public void setReportHome(java.lang.String reportHome)

  Sets the report home path where the report.ini and other JReport system files exist.

  Parameters:
    `reportHome` - the home path where the report.ini and other JReport system files exist.

### getReportName

    public java.lang.String getReportName()

  Gets the name of report.

### setReportName

    public void setReportName(java.lang.String reportName)

  Sets the name of report.

  Parameters:
    `reportName` - the name of the report which will be run.

### setCatName

    public void setCatName(java.lang.String catName)

  Sets the name of the catalog.

  Parameters:
    `catName` - the name of the catalog.

### getCatName

    public java.lang.String getCatName()

  Gets the name of the catalog.

  Returns:
    the name of the catalog.

### setSID

    public void setSID(java.lang.String sid)

  Sets security identifier of page level security.

  Parameters:
    `sid` - the security identifier.

### setPageNumbers

    public void setPageNumbers(int[] pageNums)

  Sets the page numbers of page level security.

  Parameters:
    `pageNums` - a int array of the page numbers.

### getPageNumbers

    public int[] getPageNumbers()

  Gets the page numbers of page level security.

  Returns:
    the int array of the page numbers.

### getSID

    public java.lang.String getSID()

  Gets security identifier of page level security.

  Returns:
    the security identifier.

### hasPageSecurity

    public boolean hasPageSecurity()

  Checks the current report security.

  Returns:
    true has security. Otherwise return false.

### hasPageSecurity

    public boolean hasPageSecurity(java.lang.String rptName,
                                   java.lang.String viewName)

  Checks the current report security.

  Parameters:
    `rptName` - Indicates the report name of reportset
    `viewName` - Indicates the view name of report
  Returns:
    true if it has security. Otherwise return false.

### getPageOrientation

    public int getPageOrientation()

  Gets the page orientation.

### getParamValues

    public java.lang.String getParamValues()

  Gets the parameter values of the report.

  Returns:
    paramValues the string containing the parameter values and separated by commas (',').

### setParamValues

    public void setParamValues(java.lang.String paramValues)

  Sets the parameter values of the report.

  Parameters:
    `paramValues` - the string containing the parameter values and separated by commas (',').

### getParamFile

    public java.lang.String getParamFile()

  Sets the name of the parameter values file.

  Returns:
    paramFile the name of the parameter value file. This will be ignored if paramValues is specified.

### setParamFile

    public void setParamFile(java.lang.String paramFile)

  Sets the name of the parameter values file.

  Every parameter name to value pair occupies one line in the file (except that if a line ends with \, see bellow.) The name and value is separated by an equals sign '=' (if it exists), and the name is always on the left side and value on the right side.

  More rules:

  1. All whitespace characters around the name will be ignored, but whitespace characters around value will not be skipped.

  2. This rule only applys to those lines whose line break occurs within value string. If a line ends with \, then the following line, if it exists, is treated as a continuation line. So that the value string of the current line (without the last '\'), a new line character ('\n') and the string of next line will be concatenated together. But if a line ends with "\\", "\\" will be treated as the termination character of value string and a single '\' will be appended to the value.

  3. This rule only applys to name expression. If an equal sign follows "\\", this string will be treated as a part of parameter name instead of a separator character. For example, "a\\=b=c+d" will be treated as: name is "a=b", value is "c+d".

  Parameters:
    `paramFile` - the name of the parameter values file. This will be ignored if the paramValues is specified.

### setParamValues

    public void setParamValues(java.util.Properties params)

  Sets the parameter values of the report.

  Parameters:
    `params` - Properties object containing the parameter values, key is parameter name, value is String value of parameter value.

### getResultFile

    public java.lang.String getResultFile()

  Gets the name of the result file which will be generated by JReport Engine Bean.

  Returns:
    the name of the result file.

### setResultFile

    public void setResultFile(java.lang.String resultFile)

  Specifies the name of the result file which will be generated by JReport Engine Bean.

  Parameters:
    `resultFile` - the name of the result file.

### setResultSet

    public void setResultSet(java.lang.String url)

  Sets the cach query result set of the report which the engine will run.

  Parameters:
    `url` - the cach query result set of the report which the engine will run.

### getResultSet

    public java.lang.String getResultSet(java.lang.String url)

  Gets the cach query result set of the report which the engine will run.

### setDataDriver

    public void setDataDriver(java.lang.String url)

  Sets the data driver of the report which the engine will run.

  Parameters:
    `url` - the data driver of the report which the engine will run.

### setDataDriver

    public void setDataDriver(java.lang.String url,
                              java.lang.String dataSetName)

  Sets the data driver of the dataset in report which the engine will run.

  Parameters:
    `url` - the data driver of the dataset in report which the engine will run.
    `dataSetName` - the dataset name of the report which the engine will run.

### getDataSetName

    public java.lang.String getDataSetName()

  Get the dataset name which is defined with datadriver

### getDataDriver

    public java.lang.String getDataDriver()

  Get the data driver of the report which the engine will run.

### getLoadReport

    public java.lang.String getLoadReport()

  get String of load report flag. The flag indicates whether the report has run. If the flag is no?(case insensitive), it means the report does not run. Otherwise it runs.

  Returns:
    String of load report flag

### setLoadReport

    public void setLoadReport(java.lang.String loadReport)

  Enables/disables to run the report.

  Parameters:
    `loadReport` - a String, if it equals "yes"(case insensitive) then the report will be run.

### setThrowException

    public void setThrowException(boolean isThrowException)

  set whether throw exception while program throw exception.

  Parameters:
    `isThrowException` -

### getThrowException

    public boolean getThrowException()

  return true if the engine throws exception while program throw exception.

  Returns:

### getThrowable

    public java.lang.Throwable getThrowable()

  Gets the throwable error information.

### runReport

    public void runReport(boolean genRst)

  parameter genRst decide to output rst file or not, during runReport.

### getReportCommunicator

    public Communicator getReportCommunicator()

  Get the Communicator of this report. The Communicator is a class defined by JReport. This method will launch to run JReport Engine Bean, but do not save to the result file.

  See Also:
    `JRResultViewer.setCommunicator(jet.datastream.Communicator)`

### waitForEngineFinish

    public void waitForEngineFinish()

  waiting until the engine process success. It is only used for multi-thread mode.

### save

    public boolean save(java.lang.String resultFileName)
                 throws java.lang.Exception

  save current report to result file.

  Parameters:
    `resultFileName` - is result file name contains full path
  Returns:
    return true if save sucessed.
  Throws:
    `java.lang.Exception`

### getTotalPageNumber

    public int getTotalPageNumber()

  Gets the total page number of the report.

  Returns:
    the total page number of the report, if fail, return -1.

### printReport

    public void printReport()

  Prints the report.

### printReport

    public void printReport(java.lang.Object printJob,
                            java.lang.Object pageFormat,
                            boolean bInteractive,
                            boolean bInBackground,
                            boolean bUseJDK11)

  Prints the report with the special parameters.

  Parameters:
    `printJob` - the print job of this print action.
    `pageFormat` - the page format of this print action.
    `bInteractive` - a boolean value, if you set it to false, the print setup dialog will not show up.
    `bInBackground` - a boolean value, if you set it to false, the printing dialog will not show up.
    `bUseJDK11` - a boolean value, if you set it to true, it will use JDK1.2.x to print the report. Otherwise if you set it to false, it will use the JDK which you are running to print the report. The JDK 1.1 printing method is quick in speed but the printing quality is not guaranteed. However, The JDK 1.2 method can return you with satisfactory result, even for a gif file, but it is slow in speed. For example, you can call the printReport method like this: PrinterJob printJob = PrinterJob.getPrinterJob(); bean.printReport(printJob, printJob.defaultPage(), false, false, false);

### printReport

    public void printReport(java.lang.Object printJob,
                            java.lang.Object pageFormat,
                            boolean bInteractive,
                            boolean bInBackground,
                            boolean bUseJDK11,
                            boolean bSeparateLargePage)

  Prints the report with the special parameters.

  Parameters:
    `printJob` - the print job of this print action.
    `pageFormat` - the page format of this print action.
    `bInteractive` - a boolean value, if you set it to false, the print setup dialog will not show up.
    `bInBackground` - a boolean value, if you set it to false, the printing dialog will not show up.
    `bUseJDK11` - a boolean value, if you set it to true, it will use JDK1.1.x to print the report. Otherwise if you set it to false, it will use the JDK which you are running to print the report. The JDK 1.1 printing method is quick in speed but the printing quality is not guaranteed. However, The JDK 1.2 method can return you with satisfactory result, even for a gif file, but it is slow in speed. For example, if bUseJDK11 is set false, you can call the printReport method like this: PrinterJob printJob = PrinterJob.getPrinterJob(); bean.printReport(printJob, printJob.defaultPage(), false, false, false);
    `bSeparateLargePage` - a boolean value, if the report page size is larger than the print paper size, and you want to separate the large report page during printing, you should set this property to true. if the print page size which you choose is less than the report page size, then the report will be printed as multiple pages serially, this means we will seperate the large page of the report automatically. After you set it to true, for JDK1.2 or higher, the page format dialog will be popped up. In this dialog, you can choose the page format which you want to print with, we will use this page size for printing. For JDK1.1.x, however, you must change the page format which you want to print with in the print dialog(click the property button, then choose the page format). Note: This printing mothod is not recommended, it may cause some unexpected errors, for example, you may get an extra blank page.

### printReport

    public void printReport(java.lang.Object printJob,
                            java.lang.Object pageFormat,
                            boolean bInteractive,
                            boolean bInBackground,
                            boolean bUseJDK11,
                            boolean bSeparateLargePage,
                            java.lang.String jobName)

### printReport

    public void printReport(java.lang.Object printJob,
                            java.lang.Object pageFormat,
                            boolean bInteractive,
                            boolean bInBackground,
                            boolean bUseJDK11,
                            boolean bSeparateLargePage,
                            java.lang.String jobName,
                            java.lang.String printer)

### printReport

    public void printReport(java.lang.Object job,
                            boolean bInteractive,
                            java.lang.Object pageFormat,
                            boolean bInBackground,
                            JReportPrintListener jreportprintlistener,
                            int useJDK,
                            java.lang.String jobName,
                            java.util.Vector attributeInfo,
                            java.lang.String printer)
                     throws NoSuchPrintAttributeException

  Prints the report with the specified parameters.

  Parameters:
    `job` - the print job of this print action.It is a instance of PrintJob or PrinterJob. You can pass a PrinterJob or PrintJob object.If you set a null value,there would be create a PrinterJob or PrintJob for your task. There need a PrintJob object in JDK1.1 or a PrinterJob object in JDK1.2,JDK1.4 print method. If you pass a printerjob which is not a null value and set parameter bInteractive is true, informations taked by printerjob would be reset by the values from print set up dialog such as Copies,PrintService,JobName.
    `bInteractive` - a boolean value, if you set it to true,present a print setup dialog to the user for changing the properties of the print job. Otherwise the print setup dialog will not show up.
    `pageFormat` - is a instance of PageFormat class,which describes the size and orientation of a page to be printed. The pageFormat will take effect only with JDK1.1 or JDK1.2. We recommend to use attributeInfo vector instead of the printFormat object with JDK1.4
    `bInBackground` - a boolean value, if you set it to false, show the printing progress dialog with printing progress bar in it.
    `jreportprintlistener` - is the listener of print. It is a interface which contains two methods that printStart() and printEnd(). JeportPrintListener is located in jet.thinview.print package. This interface is useful, when you want to get the print status -- start or end, for example. Otherwise, you can set it to null.
    `useJDK` - a int value, if you set it to 0, it will use JDK1.1 to print the report. Otherwise if you set it to 1, it will use the JDK1.2 which you are running to print the report.if you set it to 2, it will use the JDK1.4 which you are running to print the report. The JDK 1.1 printing method is quick in speed but the printing quality is not guaranteed. However, The JDK 1.2 method can return you with satisfactory result, even for a gif file, but it is slow in speed.JDK 1.4 provide more options to do print such as specify tray.
    `jobName` - specify print job name.
    `attributeInfo` - is a vector which elements are string. Each String has defined in interface PrintConfig. For example,you can implement PrintConfig and call its fields like this: attributeInfo.add(TRAY_MANUAL); attributeInfo.add(ORIENTATION_PORTRAIT);
    `printer` - specify the printer you want to use.This printer name must be with full path. You can call getAllPrinters() method for jdk 1.4 to get the list of system printers. This printReport method is recommend for jdk 1.4 or above only -- a lot of features are only supported by jdk 1.4 or above. An example of calling this printReport() method: PrinterJob printJob = PrinterJob.getPrinterJob(); Vector attributeInfo = new Vector(); attributeInfo.add(TRAY_MANUAL); attributeInfo.add(ORIENTATION_PORTRAIT); bean.printReport(printJob, true,printJob.defaultPage(), false,null,2,"JReport", attributeInfo,"\\\\192.168.128.111\\Samsung SCX-5x12 Series PCL 6");
  Throws:
    `NoSuchPrintAttributeException`

### printReport

    public void printReport(ExportInfo info,
                            java.lang.Object job,
                            boolean bInteractive,
                            java.lang.Object pageFormat,
                            boolean bInBackground,
                            JReportPrintListener jreportprintlistener,
                            int useJDK,
                            java.lang.String jobName,
                            java.util.Vector attributeInfo,
                            java.lang.String printer)
                     throws NoSuchPrintAttributeException

  Prints the report with the specified parameters.

  Parameters:
    `info` - The report information for printing.
    `job` - the print job of this print action.It is a instance of PrintJob or PrinterJob. You can pass a PrinterJob or PrintJob object.If you set a null value,there would be create a PrinterJob or PrintJob for your task. There need a PrintJob object in JDK1.1 or a PrinterJob object in JDK1.2,JDK1.4 print method. If you pass a printerjob which is not a null value and set parameter bInteractive is true, informations taked by printerjob would be reset by the values from print set up dialog such as Copies,PrintService,JobName.
    `bInteractive` - a boolean value, if you set it to true,present a print setup dialog to the user for changing the properties of the print job. Otherwise the print setup dialog will not show up.
    `pageFormat` - is a instance of PageFormat class,which describes the size and orientation of a page to be printed. The pageFormat will take effect only with JDK1.1 or JDK1.2. We recommend to use attributeInfo vector instead of the printFormat object with JDK1.4
    `bInBackground` - a boolean value, if you set it to false, show the printing progress dialog with printing progress bar in it.
    `jreportprintlistener` - is the listener of print. It is a interface which contains two methods that printStart() and printEnd(). JeportPrintListener is located in jet.thinview.print package. This interface is useful, when you want to get the print status -- start or end, for example. Otherwise, you can set it to null.
    `useJDK` - a int value, if you set it to 0, it will use JDK1.1 to print the report. Otherwise if you set it to 1, it will use the JDK1.2 which you are running to print the report.if you set it to 2, it will use the JDK1.4 which you are running to print the report. The JDK 1.1 printing method is quick in speed but the printing quality is not guaranteed. However, The JDK 1.2 method can return you with satisfactory result, even for a gif file, but it is slow in speed.JDK 1.4 provide more options to do print such as specify tray.
    `jobName` - specify print job name.
    `attributeInfo` - is a vector which elements are string. Each String has defined in interface PrintConfig. For example,you can implement PrintConfig and call its fields like this: attributeInfo.add(TRAY_MANUAL); attributeInfo.add(ORIENTATION_PORTRAIT);
    `printer` - specify the printer you want to use.This printer name must be with full path. You can call getAllPrinters() method for jdk 1.4 to get the list of system printers. This printReport method is recommend for jdk 1.4 or above only -- a lot of features are only supported by jdk 1.4 or above. An example of calling this printReport() method: PrinterJob printJob = PrinterJob.getPrinterJob(); Vector attributeInfo = new Vector(); attributeInfo.add(TRAY_MANUAL); attributeInfo.add(ORIENTATION_PORTRAIT); bean.printReport(printJob, true,printJob.defaultPage(), false,null,2,"JReport", attributeInfo,"\\\\192.168.128.111\\Samsung SCX-5x12 Series PCL 6");
  Throws:
    `NoSuchPrintAttributeException`

### getPrintStatus

    public java.lang.String getPrintStatus()

  Get print status after printing. Excepts "Busy" status, print status will changed to "No report load" after get one time includes: "No print job", "Printing", "Busy", "No report load", "OK", "Error!".

### setPrintStatus

    public void setPrintStatus()

  set the print status before printing. it is used in printing background.

### ExportToPageable

    public java.awt.print.Pageable ExportToPageable()

  set default resolution as 72 into Communicator for printer and return it.

  Returns:
    Communicator

### exit

    public void exit()

  When you want to quit from JReport Engine Bean, you should call this method. This method will do some cleaning up work such as delete the temporary files. It is important, so do not to forget to call this method!

### exit

    public void exit(int timeout)

  When you want to quit from JReport Engine Bean, you should call this method. This method will do some cleaning up work such as delete the temporary files. It is important, so do not to forget to call this method!

  Parameters:
    `timeout` - timeout time in milliseconds

### getCommunicator

    public Communicator getCommunicator(java.lang.String filename,
                                        int[] pageNums)
                                 throws java.io.IOException

  Gets the communicator from a result file.

  Parameters:
    `filename` - the result filename. It is a full filename that is it contains full path and filename.
    `pageNums` - a int array of page numbers.
  Returns:
    a instance of the class PJFCommunicator.
  Throws:
    `java.io.IOException`

### getCommunicator

    public Communicator getCommunicator(java.lang.String filename,
                                        int[] pageNums,
                                        java.lang.String rptName,
                                        java.lang.String viewName)
                                 throws java.io.IOException

  Gets the communicator from a result file.

  Parameters:
    `filename` - the result filename. It is a full filename that is it contains full path and filename.
    `pageNums` - a int array of page numbers.
  Returns:
    a instance of the class PJFCommunicator.
  Throws:
    `java.io.IOException`

### stopReport

    public void stopReport()

  Deprecated. Stop running the report.

### stopReportSet

    public void stopReportSet()

  Stop all running the report.

### stopReport

    public void stopReport(java.lang.String[] reports,
                           java.util.Vector[] views)

  Stop all the specified reports and views.

### stopReport

    public void stopReport(java.lang.String report,
                           java.lang.String view)

  Stop the specified report and view.

### setShowInfoLevel

    public void setShowInfoLevel(int level)

  Deprecated. Current logger base the logconfig.properties to control the logger level Enables/disables output error and debug message.

  Parameters:
    `level` - the debug level, for example: vDebug | vError

### closeLog

    public void closeLog()

  close the log stream.

  when all the engine have finised can call the method.

### setLogFile

    public boolean setLogFile(java.lang.String fileName)

  Resets the log file.

  Parameters:
    `fileName` - the log file name

    LogFileName specifies where the debug, error and other information will go. LogFileName contains both the path and the file name. If no path is specified, the current path is used. If no file name is specified, the file jreport.log is used. Only the log file specified here will take effect when running reports, and the log files specified before will be closed.

  Returns:
    true if successful

### getStatus

    public java.lang.String getStatus()

  Gets the status after an action.

### getReason

    public java.lang.String getReason()

  Get the error reason after occur error.

### hasParameter

    public boolean hasParameter()

  check whether current report have parameters.

  Returns:
    Return true if current report have parameters, otherwise return false.

### getStyleGroupNames

    public java.util.Vector getStyleGroupNames()

  Get all style group names in template

### getReportParams

    public java.util.Vector getReportParams()
                                     throws java.lang.Exception

  get parameters used by current reports.

  Returns:
    vector contains ParamDesc objects. If it is not parameters used, it will return a vector with 0 size. If any error occurs, it will return null..
  Throws:
    `java.lang.Exception`

### getReportParams

    public java.util.Vector getReportParams(int status)
                                     throws java.lang.Exception

  get parameters used by current reports.

  Returns:
    vector contains ParamDesc objects. If it is not parameters used, it will return a vector with 0 size. If any error occurs, it will return null..
  Throws:
    `java.lang.Exception`

### getReportParams

    public java.util.Vector getReportParams(java.util.Vector reportNames)
                                     throws java.lang.Exception

  get parameters used by current reports.

  Returns:
    vector contains ParamDesc objects. If it is not parameters used, it will return a vector with 0 size. If any error occurs, it will return null..
  Throws:
    `java.lang.Exception`

### getReportParams

    public java.util.Vector getReportParams(java.lang.String userName,
                                            boolean bFirstLevel)
                                     throws java.lang.Exception

  Gets all parameters in this report. Returns a Vector, each element of this Vector is jet.formula.ParamDesc

  Throws:
    `java.lang.Exception`

### getReportParams

    public java.util.Vector getReportParams(java.lang.String userName,
                                            java.lang.String paramName,
                                            java.lang.String paramValue,
                                            boolean isAll)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### paramValueChanged

    public java.util.Vector paramValueChanged(java.lang.String paramName,
                                              java.lang.String paramValue)

  change all Param Descs when cascading parameter changed

  Returns:
    new Param descs

### paramValueChanged

    public java.util.Vector paramValueChanged(java.lang.String paramName,
                                              java.lang.String[] paramValues)
                                       throws InvalidParameterException

  change all Param Descs when parameter changed

  Returns:
    new Param descs
  Throws:
    `InvalidParameterException`

### getParamDescs

    public java.util.Hashtable getParamDescs()

  Get Hashtable contaions all objects of ParamDesc the report needed contains all sub-report. The key of Hashtable is String of parameter name, value is ParamDesc object.

  Returns:
    ParamDescs

### getReportParams

    public java.util.Vector getReportParams(java.lang.String userName,
                                            ParamDesc param,
                                            java.lang.String value,
                                            boolean forRemove)
                                     throws java.lang.Exception

  Return parameters related to the parameter specified by param and value. If parameter value changed, this method can be called to return related parameter. or get the parameter value 's related parameter.only one level

  Parameters:
    `userName` -
    `param,` - if param is null, then return all parameters used by the current report in a proper order and each of them are not other parameter's value.
    `value,` - the new value. Which may lead the new paramters' vector returned back, or the parameter with new drop down list value forRemove to be true indicates that call this method is used to remove the parameter from the dialog
  Returns:
  Throws:
    `java.lang.Exception`

### getParamToSubRpt

    public java.util.Hashtable getParamToSubRpt()

  Returns a Hashtable. In this Hashtable, key is String of parameter name, value is String of sub-report name.

  Returns:
    ParamToSubRpt

### exportToRst

    public boolean exportToRst(java.lang.String loadRstFileName,
                               java.lang.String rstFileName)

  load a .rst file and save to another .rst file. Return true if export sucessed.

  Parameters:
    `loadRstFileName` - source rst file name contains full path
    `rstFileName` - rst file name contains full path want to saved.
  Returns:
    true if succeed

### exportToRst

    public boolean exportToRst(java.lang.String rstFileName)

  save current report to a .rst file. Return true if export sucessed.

  Parameters:
    `rstFileName` - rst file name contains full path want to saved.
  Returns:
    true if succeed

### exportToRst

    public boolean exportToRst(java.util.Map reportInfo,
                               java.lang.String rstFileName,
                               boolean isZip)

  save reports and views to a .rst file. Return true if export sucessed.

  Parameters:
    `rstFileName` - rst file name contains full path want to saved.
  Returns:
    true if succeed

### exportToHtml

    public boolean exportToHtml(java.lang.String rstFileName,
                                java.lang.String htmlFileName)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String rstFileName,
                                java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String rstFileName,
                                java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates to generate the drilldown html files in the file list.
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String rstFileName,
                                java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile,
                                boolean noMargin)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates to generate the drilldown html files in the file list.
    `noMargin` - indicates to generate the html files without page Margin.
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String rstFileName,
                                java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile,
                                boolean noMargin,
                                int resolution)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates to generate the drilldown html files in the file list.
    `noMargin` - indicates to generate the html files without page Margin.
    `resolution` - indicates resolution of the html files .
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String rstFileName,
                                java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile,
                                boolean noMargin,
                                java.lang.String title)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates to generate the drilldown html files in the file list.
    `noMargin` - indicates to generate the html files without page Margin.
    `title` - the title of the exported html file.
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String rstFileName,
                                java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile,
                                boolean noMargin,
                                java.lang.String title,
                                int resolution,
                                int overflowType)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates to generate the drilldown html files in the file list.
    `noMargin` - indicates to generate the html files without page Margin.
    `title` - the title of the exported html file.
    `resolution` - indicates resolution of the html files .
    `overflowType` - Indicates the html text overflow type
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String htmlFileName)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser)

  Exports the current report to HTML.

  Specified by:
    `exportToHtml` in interface `EngineExecuter`
  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates the drilldown html files were included in file list
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile,
                                boolean noMargin)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of
    `bincdrilldownfile` - indicates the drilldown html files were included in file list
    `noMargin` - indicates to generate the html files without page margin.
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile,
                                boolean noMargin,
                                int resolution)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of
    `bincdrilldownfile` - indicates the drilldown html files were included in file list
    `noMargin` - indicates to generate the html files without page margin.
    `resolution` - indicates resolution of the html files .
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile,
                                boolean noMargin,
                                java.lang.String title)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of
    `bincdrilldownfile` - indicates the drilldown html files were included in file list
    `noMargin` - indicates to generate the html files without page margin.
    `title` - the title of the exported html file.
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile,
                                boolean noMargin,
                                java.lang.String title,
                                int resolution,
                                int overflowType)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of
    `bincdrilldownfile` - indicates the drilldown html files were included in file list
    `noMargin` - indicates to generate the html files without page margin.
    `title` - the title of the exported html file.
    `resolution` - indicates resolution of the html files .
    `overflowType` - Indicates the html text overflow type
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(java.lang.String rstFileName,
                                java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile,
                                boolean noMargin,
                                java.lang.String title,
                                int resolution,
                                int overflowType,
                                int chartFormat)

### exportToHtml

    public boolean exportToHtml(java.lang.String htmlFileName,
                                boolean bChartApplet,
                                boolean isMultiFile,
                                boolean bUsingTable,
                                boolean bHyperlink,
                                boolean bPageNum,
                                boolean bAbsolute,
                                int iBrowser,
                                boolean bincdrilldownfile,
                                boolean noMargin,
                                java.lang.String title,
                                int resolution,
                                int overflowType,
                                int chartFormat)

### setHtmlImageType

    public void setHtmlImageType(int imageType)

  Deprecated.

  Sets image type of chart in html format

  See Also:
    `HtmlParameter.setExportImageType(int)`

### getAllHtmlFile

    public java.util.Vector getAllHtmlFile()

  Returns all html files that are generated by exportToHtml.

### getAllPdfFile

    public java.util.Vector getAllPdfFile()

  Returns all PDF files that are generated by exportToPDF.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String rstFileName,
                                 java.lang.String htmlFileName)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String rstFileName,
                                 java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String rstFileName,
                                 java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser,
                                 boolean bincdrilldownfile)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates to generate the drilldown html files in the file list.
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String rstFileName,
                                 java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser,
                                 boolean bincdrilldownfile,
                                 boolean noMargin)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates to generate the drilldown html files in the file list.
    `noMargin` - indicates to generate the html files without page Margin.
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String rstFileName,
                                 java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser,
                                 boolean bincdrilldownfile,
                                 boolean noMargin,
                                 int resolution)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates to generate the drilldown html files in the file list.
    `noMargin` - indicates to generate the html files without page Margin.
    `resolution` - indicates resolution of the html files .
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String rstFileName,
                                 java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser,
                                 boolean bincdrilldownfile,
                                 boolean noMargin,
                                 java.lang.String title)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates to generate the drilldown html files in the file list.
    `noMargin` - indicates to generate the html files without page Margin.
    `title` - the title of the exported html file.
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String rstFileName,
                                 java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser,
                                 boolean bincdrilldownfile,
                                 boolean noMargin,
                                 java.lang.String title,
                                 int resolution,
                                 int overflowType)

  Exports result report file(with the .rst extension)to a HTML file.

  Parameters:
    `rstFileName` - the result file name.
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates to generate the drilldown html files in the file list.
    `noMargin` - indicates to generate the html files without page Margin.
    `title` - the title of the exported html file.
    `resolution` - indicates resolution of the html files .
    `overflowType` - Indicates the html text overflow type
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String htmlFileName)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser,
                                 boolean bincdrilldownfile)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
    `bincdrilldownfile` - indicates the drilldown html files were included in file list
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser,
                                 boolean bincdrilldownfile,
                                 boolean noMargin)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of
    `bincdrilldownfile` - indicates the drilldown html files were included in file list
    `noMargin` - indicates to generate the html files without page margin.
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser,
                                 boolean bincdrilldownfile,
                                 boolean noMargin,
                                 int resolution)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of
    `bincdrilldownfile` - indicates the drilldown html files were included in file list
    `noMargin` - indicates to generate the html files without page margin.
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser,
                                 boolean bincdrilldownfile,
                                 boolean noMargin,
                                 java.lang.String title)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of
    `bincdrilldownfile` - indicates the drilldown html files were included in file list
    `noMargin` - indicates to generate the html files without page margin.
    `title` - the title of the exported html file.
  Returns:
    true if exported successfully.

### exportToDhtml

    public boolean exportToDhtml(java.lang.String htmlFileName,
                                 boolean bChartApplet,
                                 boolean isMultiFile,
                                 boolean bUsingTable,
                                 boolean bHyperlink,
                                 boolean bPageNum,
                                 boolean bAbsolute,
                                 int iBrowser,
                                 boolean bincdrilldownfile,
                                 boolean noMargin,
                                 java.lang.String title,
                                 int resolution,
                                 int overflowType)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to use html table format when exporting html files
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of
    `bincdrilldownfile` - indicates the drilldown html files were included in file list
    `noMargin` - indicates to generate the html files without page margin.
    `title` - the title of the exported html file.
    `resolution` - indicates resolution of the html files .
    `overflowType` - Indicates the html text overflow type
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String rstFileName,
                               java.lang.String pdfFileName)

  Exports result report file(with the .rst extension)to a PDF file.

  Parameters:
    `rstFileName` - the result file name.
    `pdfFileName` - the PDF file name.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String pdfFileName)

  Exports the current report to a PDF file.

  Specified by:
    `exportToPdf` in interface `EngineExecuter`
  Parameters:
    `pdfFileName` - the PDF file name.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.io.OutputStream stream)

  Exports the current report to a PDF OutputStream.

  Parameters:
    `stream` - the PDF OutputStream.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String pdfFileName,
                               boolean noMargin)

  Exports the current report to a PDF file.

  Parameters:
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String rstFileName,
                               java.lang.String pdfFileName,
                               boolean noMargin)

  Exports result report file(with the .rst extension)to a PDF file.

  Parameters:
    `rstFileName` - the result file name.
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String pdfFileName,
                               boolean noMargin,
                               boolean isSimPrintMode)

  Exports the current report to a PDF file.

  Parameters:
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
    `isSimPrintMode` - indicates to generate the pdf file use simulated printing mode.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String rstFileName,
                               java.lang.String pdfFileName,
                               boolean noMargin,
                               boolean isSimPrintMode)

  Exports result report file(with the .rst extension)to a PDF file.

  Parameters:
    `rstFileName` - the result file name.
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
    `isSimPrintMode` - indicates to generate the pdf file use simulated print mode.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String pdfFileName,
                               boolean noMargin,
                               boolean isSimPrintMode,
                               boolean isCompressImage)

  Exports the current report to a PDF file.

  Parameters:
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
    `isSimPrintMode` - indicates to generate the pdf file use simulated printing mode.
    `isCompressImage` - indicatess to generate the pdf file compress image.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String pdfFileName,
                               boolean noMargin,
                               boolean isSimPrintMode,
                               int isCompressImage,
                               boolean isTransparent)

  Exports the current report to a PDF file.

  Parameters:
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
    `isSimPrintMode` - indicates to generate the pdf file use simulated printing mode.
    `isCompressImage` - indicatess to generate the pdf file compress image.
    `isTransparent` - indicatess to transparent.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String pdfFileName,
                               boolean noMargin,
                               boolean isSimPrintMode,
                               int isCompressImage,
                               boolean isTransparent,
                               boolean bToc,
                               boolean bDrill)

  Exports the current report to a PDF file.

  Parameters:
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
    `isSimPrintMode` - indicates to generate the pdf file use simulated printing mode.
    `isCompressImage` - indicatess to generate the pdf file compress image.
    `bToc` - indicates to generate the pdf file with TOC
    `bDrill` - indicates to generate the pdf file with Drill Down
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String pdfFileName,
                               boolean noMargin,
                               boolean isSimPrintMode,
                               int isCompressImage,
                               boolean isTransparent,
                               boolean bToc,
                               boolean bDrill,
                               java.lang.String password)

  Exports the current report to a PDF file.

  Parameters:
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
    `isSimPrintMode` - indicates to generate the pdf file use simulated printing mode.
    `isCompressImage` - indicatess to generate the pdf file compress image.
    `bToc` - indicates to generate the pdf file with TOC
    `bDrill` - indicates to generate the pdf file with Drill Down
    `password` - indicates to generate the pdf file with the password.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.io.OutputStream stream,
                               boolean noMargin,
                               int isCompressImage,
                               boolean isTransparent,
                               boolean bToc,
                               java.lang.String password,
                               int[] pages,
                               int[][] pageRange)

  Exports the current report to a PDF OutputStream.

  Parameters:
    `stream` - the OutputStream.
    `noMargin` - indicates to generate the pdf file without page margin.
    `isCompressImage` - indicatess to generate the pdf file compress image.
    `isTransparent` - indicatess to transparent.
    `bToc` - indicates to generate the pdf file with TOC
    `password` - indicates to generate the pdf file with the password.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String rstFileName,
                               java.lang.String pdfFileName,
                               boolean noMargin,
                               boolean isSimPrintMode,
                               boolean isCompressImage)

  Exports result report file(with the .rst extension)to a PDF file.

  Parameters:
    `rstFileName` - the result file name.
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
    `isSimPrintMode` - indicates to generate the pdf file use simulated print mode.
    `isCompressImage` - indicatess to generate the pdf file compress image.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String rstFileName,
                               java.lang.String pdfFileName,
                               boolean noMargin,
                               boolean isSimPrintMode,
                               int isCompressImage,
                               boolean isTransparent)

  Exports result report file(with the .rst extension)to a PDF file.

  Parameters:
    `rstFileName` - the result file name.
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
    `isSimPrintMode` - indicates to generate the pdf file use simulated print mode.
    `isCompressImage` - indicatess the image compress rate to generate the pdf file.
    `isTransparent` - indicatess to generate the pdf file keep transparent gif image.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String rstFileName,
                               java.lang.String pdfFileName,
                               boolean noMargin,
                               boolean isSimPrintMode,
                               int isCompressImage,
                               boolean isTransparent,
                               boolean bToc,
                               boolean bDrill)

  Exports the current report to a PDF file.

  Parameters:
    `rstFileName` - the result file name.
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
    `isSimPrintMode` - indicates to generate the pdf file use simulated printing mode.
    `isCompressImage` - indicatess to generate the pdf file compress image.
    `bToc` - indicates to generate the pdf file with TOC
    `bDrill` - indicates to generate the pdf file with Drill Down
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String rstFileName,
                               java.lang.String pdfFileName,
                               boolean noMargin,
                               boolean isSimPrintMode,
                               int isCompressImage,
                               boolean isTransparent,
                               boolean bToc,
                               boolean bDrill,
                               java.lang.String password)

  Exports the current report to a PDF file.

  Parameters:
    `rstFileName` - the result file name.
    `pdfFileName` - the PDF file name.
    `noMargin` - indicates to generate the pdf file without page margin.
    `isSimPrintMode` - indicates to generate the pdf file use simulated printing mode.
    `isCompressImage` - indicatess to generate the pdf file compress image.
    `bToc` - indicates to generate the pdf file with TOC
    `bDrill` - indicates to generate the pdf file with Drill Down
    `password` - indicates to generate the pdf file with the password.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String filename,
                               PDFParameter parameter)

  Exports the current report to a PDF file.

  Parameters:
    `parameters` - indicates to generate the pdf file with the all pdf parameters.
  Returns:
    true if exported successfully.

### exportToPdf

    public boolean exportToPdf(java.lang.String rstFileName,
                               java.lang.String filename,
                               PDFParameter parameter)

  Exports the current report to a PDF file.

  Parameters:
    `rstFileName` - the result file name.
    `parameters` - indicates to generate the pdf file with the all pdf parameters.
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String rstFileName,
                                java.lang.String textFileName,
                                boolean isNormalText)

  Exports result report file(with the .rst extension)to a TEXT file.

  Parameters:
    `rstFileName` - the result file name.
    `textFileName` - the TEXT file name.
    `isNormalText` - sets whether this text file is in the normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String rstFileName,
                                java.lang.String textFileName,
                                boolean isNormalText,
                                int udchWidth,
                                int udchHeight)

  Exports result report file(with the .rst extension)to a TEXT file.

  Parameters:
    `rstFileName` - the result file name.
    `textFileName` - the TEXT file name.
    `isNormalText` - sets whether this text file is in the normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application.

    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String rstFileName,
                                java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter)

  Exports result report file(with the .rst extension)to a TEXT file.

  Parameters:
    `rstFileName` - the result file name.
    `textFileName` - the TEXT file name.
    `isNormalText` - sets whether this text file is in the normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - the delimiter used in the SDF(Standard Data Format) format
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String rstFileName,
                                java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight)

  Exports result report file(with the .rst extension)to a TEXT file.

  Parameters:
    `rstFileName` - the result file name.
    `textFileName` - the TEXT file name.
    `isNormalText` - sets whether this text file is in the normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - the delimiter used in the SDF(Standard Data Format) format.
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String rstFileName,
                                java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight,
                                boolean compress,
                                int resolution)

  Exports result report file(with the .rst extension)to a TEXT file.

  Parameters:
    `rstFileName` - the result file name.
    `textFileName` - the TEXT file name.
    `isNormalText` - sets whether this text file is in the normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - the delimiter used in the SDF(Standard Data Format) format.
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
    `compress` - remove empty lines or redundant delimiters in the exported text file.
    `resolution` - set resolution when exporting to text.
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String rstFileName,
                                java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight,
                                boolean isQuoteMark,
                                boolean hasHeadFoot)

  Exports result report file(with the .rst extension)to a TEXT file.

  Parameters:
    `rstFileName` - the result file name.
    `textFileName` - the TEXT file name.
    `isNormalText` - sets whether this text file is in the normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - the delimiter used in the SDF(Standard Data Format) format.
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
    `compress` - remove empty lines or redundant delimiters in the exported text file.
    `resolution` - define the resolution by which the character be converted
    `quoteMark` - keep the quote character in standard format text
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String rstFileName,
                                java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight,
                                boolean compress,
                                int resolution,
                                boolean quoteMark,
                                boolean hasHeadFoot)

  Exports result report file(with the .rst extension)to a TEXT file.

  Parameters:
    `rstFileName` - the result file name.
    `textFileName` - the TEXT file name.
    `isNormalText` - sets whether this text file is in the normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - the delimiter used in the SDF(Standard Data Format) format.
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
    `compress` - remove empty lines or redundant delimiters in the exported text file.
    `resolution` - define the resolution by which the character be converted
    `quoteMark` - keep the quote character in standard format text
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String rstFileName,
                                java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight,
                                boolean compress,
                                int resolution,
                                boolean quoteMark,
                                boolean hasHeadFoot,
                                boolean forWindows)

  Exports result report file(with the .rst extension)to a TEXT file.

  Parameters:
    `rstFileName` - the result file name.
    `textFileName` - the TEXT file name.
    `isNormalText` - sets whether this text file is in the normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - the delimiter used in the SDF(Standard Data Format) format.
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
    `compress` - remove empty lines or redundant delimiters in the exported text file.
    `resolution` - define the resolution by which the character be converted
    `quoteMark` - keep the quote character in standard format text
    `forWindows` - to indicate the platform on which the text file will be accessed.
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String rstFileName,
                                java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight,
                                boolean compress,
                                int resolution,
                                boolean quoteMark,
                                boolean hasHeadFoot,
                                boolean forWindows,
                                boolean ignoreDelimiter)

  Exports result report file(with the .rst extension)to a TEXT file.

  Parameters:
    `rstFileName` - the result file name.
    `textFileName` - the TEXT file name.
    `isNormalText` - sets whether this text file is in the normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - the delimiter used in the SDF(Standard Data Format) format.
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
    `compress` - remove empty lines or redundant delimiters in the exported text file.
    `resolution` - define the resolution by which the character be converted
    `quoteMark` - keep the quote character in standard format text
    `ignoreDelimiter` - to indicate to ignore the delimiter.
    `forWindows` - to indicate the platform on which the text file will be accessed.
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String textFileName,
                                boolean isNormalText)

  Exports current report to a TEXT file.

  Parameters:
    `textFileName` - the TEXT file name.
    `isNormalText` - is to set whether this text file is normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.io.OutputStream stream,
                                boolean isNormalText)

  Exports current report to a OutputStream.

  Parameters:
    `stream` - used as output parameter.
    `isNormalText` - is to set whether this text file is normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String textFileName,
                                boolean isNormalText,
                                int udchWidth,
                                int udchHeight)

  Exports current report to a TEXT file.

  Parameters:
    `textFileName` - the TEXT file name.
    `isNormalText` - is to set whether this text file is normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter)

  Exports current report to a TEXT file.

  Specified by:
    `exportToText` in interface `EngineExecuter`
  Parameters:
    `textFileName` - the TEXT file name.
    `isNormalText` - is to set whether this text file is normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - delimiter used in SDF(Standard Data Format) format
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight)

  Exports current report to a TEXT file.

  Parameters:
    `textFileName` - the TEXT file name.
    `isNormalText` - is to set whether this text file is normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - delimiter used in SDF(Standard Data Format) format
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight,
                                boolean compress,
                                int resolution)

  Exports current report to a TEXT file.

  Parameters:
    `textFileName` - the TEXT file name.
    `isNormalText` - is to set whether this text file is normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - delimiter used in SDF(Standard Data Format) format
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
    `compress` - remove empty lines or redundant delimiters in the exported text file.
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight,
                                boolean compress,
                                int resolution,
                                boolean quoteMark,
                                boolean hasHeadFoot)

  Exports current report to a TEXT file.

  Parameters:
    `textFileName` - the TEXT file name.
    `isNormalText` - is to set whether this text file is normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - delimiter used in SDF(Standard Data Format) format
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
    `compress` - remove empty lines or redundant delimiters in the exported text file.
    `resolution` - define the resolution by which the character be converted
    `quoteMark` - keep the quote character in standard format text
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight,
                                boolean compress,
                                int resolution,
                                boolean quoteMark,
                                boolean hasHeadFoot,
                                boolean forWindows)

  Exports current report to a TEXT file.

  Parameters:
    `textFileName` - the TEXT file name.
    `isNormalText` - is to set whether this text file is normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - delimiter used in SDF(Standard Data Format) format
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
    `compress` - remove empty lines or redundant delimiters in the exported text file.
    `resolution` - define the resolution by which the character be converted
    `quoteMark` - keep the quote character in standard format text
    `forWindows` - to indicate the platform on which the text file will be accessed.
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.lang.String textFileName,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight,
                                boolean compress,
                                int resolution,
                                boolean quoteMark,
                                boolean hasHeadFoot,
                                boolean forWindows,
                                boolean ignoreDelimiter)

  Exports current report to a TEXT file.

  Parameters:
    `textFileName` - the TEXT file name.
    `isNormalText` - is to set whether this text file is normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - delimiter used in SDF(Standard Data Format) format
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
    `compress` - remove empty lines or redundant delimiters in the exported text file.
    `resolution` - define the resolution by which the character be converted
    `quoteMark` - keep the quote character in standard format text
    `forWindows` - to indicate the platform on which the text file will be accessed.
    `ignoreDelimiter` - to indicate to ignore the delimiter.
  Returns:
    true if exported successfully.

### exportToText

    public boolean exportToText(java.io.OutputStream stream,
                                boolean isNormalText,
                                boolean isRepeat,
                                char delimiter,
                                int udchWidth,
                                int udchHeight,
                                boolean compress,
                                int resolution,
                                boolean quoteMark,
                                boolean hasHeadFoot,
                                boolean forWindows)

  Exports current report to a TEXT file.

  Parameters:
    `stream` - used as output parameter.
    `isNormalText` - is to set whether this text file is normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - delimiter used in SDF(Standard Data Format) format
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
    `compress` - remove empty lines or redundant delimiters in the exported text file.
    `resolution` - define the resolution by which the character be converted
    `quoteMark` - keep the quote character in standard format text
    `forWindows` - to indicate the platform on which the text file will be accessed.
  Returns:
    true if exported successfully.

### exportToPS

    public boolean exportToPS(java.lang.String rstFileName,
                              java.lang.String psFileName,
                              boolean noMargin)

  Exports report result file(with the .rst extension)to a PS(PostScript) file.

  Parameters:
    `rstFileName` - the result file name.
    `psFileName` - the PS file name.
    `noMargin` - ,indicate to export to PS file without page margin.
  Returns:
    true if exported successfully.

### exportToPS

    public boolean exportToPS(java.lang.String rstFileName,
                              java.lang.String psFileName)

  Exports report result file(with the .rst extension)to a PS(PostScript) file.

  Parameters:
    `rstFileName` - the result file name.
    `psFileName` - the PS file name.
  Returns:
    true if exported successfully.

### exportToPS

    public boolean exportToPS(java.lang.String psFileName)

  Exports the current report to a PS(PostScript) file.

  Parameters:
    `psFileName` - the PS file name.
  Returns:
    true if exported successfully.

### exportToPS

    public boolean exportToPS(java.io.OutputStream stream)

  Exports the current report to a PS(PostScript) stream.

  Parameters:
    `stream` - used as output parameter.
  Returns:
    true if exported successfully.

### exportToPS

    public boolean exportToPS(java.lang.String psFileName,
                              boolean noMargin)

  Exports the current report to a PS(PostScript) file.

  Parameters:
    `psFileName` - the PS file name.
    `noMargin` - ,indicate to export to PS file without page margin.
  Returns:
    true if exported successfully.

### exportToPS

    public boolean exportToPS(java.io.OutputStream stream,
                              boolean noMargin)

  Exports the current report to a PS(PostScript) stream.

  Parameters:
    `stream` - used as output parameter.
    `noMargin` - ,indicate to export to PS stream without page margin.
  Returns:
    true if exported successfully.

### exportToRtf

    public boolean exportToRtf(java.lang.String rstFileName,
                               java.lang.String rtfFileName)

  Exports report result file(with the .rst extension)to RTF(Rich Text Format). The result of RTF is saved in a .rtf file. This file can be opened by Microsoft Word.

  Parameters:
    `rstFileName` - the result file name.
    `rtfFileName` - the Rtf file name.
  Returns:
    true if exported successfully.

### exportToRtf

    public boolean exportToRtf(java.lang.String rtfFileName)

  Exports the current report to RTF(Rich Text Format). The result of RTF is saved in a .rtf file. This file can be opened by Microsoft Word.

  Parameters:
    `rtfFileName` - the Rtf file name.
  Returns:
    true if exported successfully.

### exportToRtf

    public boolean exportToRtf(java.io.OutputStream stream)

  Exports the current report to RTF(Rich Text Format). The result of RTF is saved in a .rtf file. This file can be opened by Microsoft Word.

  Parameters:
    `rtfFileName` - the Rtf file name.
  Returns:
    true if exported successfully.

### exportToRtf

    public boolean exportToRtf(java.lang.String rtfFileName,
                               boolean noMargin)

  Exports the current report to RTF(Rich Text Format). The result of RTF is saved in a .rtf file. This file can be opened by Microsoft Word.

  Parameters:
    `rtfFileName` - the Rtf file name.
    `noMargin` - ,indicate to export to Rtf file without page margin.
  Returns:
    true if exported successfully.

### exportToRtf

    public boolean exportToRtf(java.io.OutputStream stream,
                               boolean noMargin)

  Exports the current report to RTF(Rich Text Format). The result of RTF is saved in a .rtf file. This file can be opened by Microsoft Word.

  Parameters:
    `rtfFileName` - the Rtf file name.
    `noMargin` - ,indicate to export to Rtf file without page margin.
  Returns:
    true if exported successfully.

### exportToRtf

    public boolean exportToRtf(java.lang.String rstFileName,
                               java.lang.String rtfFileName,
                               boolean noMargin)

  Exports report result file(with the .rst extension)to RTF(Rich Text Format). The result of RTF is saved in a .rtf file. This file can be opened by Microsoft Word.

  Parameters:
    `rstFileName` - the result file name.
    `rtfFileName` - the Rtf file name.
    `noMargin` - ,indicate to export to Rtf file without page margin.
  Returns:
    true if exported successfully.

### getAllRtfFile

    public java.util.Vector getAllRtfFile()

  Returns all RTF files that are generated by exportToRTF.

### exportToXML

    public boolean exportToXML(java.lang.String xmlFileName,
                               boolean isOnlyData,
                               java.lang.String existXSFile)
                        throws java.lang.ClassNotFoundException

  Exports the current report to XML. The result of xml is saved in a .xml file.

  Parameters:
    `xmlFileName` - the XML file name.
    `isOnlyData` - , indicates that only database column information is exported to the XML file, otherwise all report details, including all the properties will be exported.
    `existedSchemaFile` - , specify the schema file which is based when export to XML file, if set to null, create the schema file
  Returns:
    true if exported successfully.
  Throws:
    `java.lang.ClassNotFoundException`

### exportToXML

    public boolean exportToXML(java.lang.String xmlFileName,
                               boolean isMultiFile,
                               boolean isOnlyData)
                        throws java.lang.ClassNotFoundException

  Deprecated.

  Throws:
    `java.lang.ClassNotFoundException`
  See Also:
    `exportToXML(String, boolean, String)`

### exportToXML

    public boolean exportToXML(java.lang.String rstFileName,
                               java.lang.String xmlFileName,
                               boolean isOnlyData,
                               java.lang.String existedSchemaFile)
                        throws java.lang.ClassNotFoundException

  Exports the specified report result to XML. The result of xml is saved in a .xml file.

  Parameters:
    `rstFileName` - the result file name.
    `xmlFileName` - the XML file name.
    `isOnlyData` - , indicates that only database column information is exported to the XML file, otherwise all report details, including all the properties will be exported.
    `existedSchemaFile` - , specify the schema file which is based when export to XML file, if set to null, create the schema file
  Returns:
    true if exported successfully.
  Throws:
    `java.lang.ClassNotFoundException`

### exportToXML

    public boolean exportToXML(java.lang.String rstFileName,
                               java.lang.String xmlFileName,
                               boolean isMultiFile,
                               boolean isOnlyData)
                        throws java.lang.ClassNotFoundException

  Deprecated.

  Throws:
    `java.lang.ClassNotFoundException`
  See Also:
    `exportToXML(String, String, boolean)`

### exportToXML

    public boolean exportToXML(ExportInfo info,
                               XmlParameter param)
                        throws java.lang.ClassNotFoundException

  Exports the report to xml file.

  Parameters:
    `info` - The report information for export.
    `param` - The xml file information.
  Returns:
    true if exported successfully.
  Throws:
    `java.lang.ClassNotFoundException`

### getAllXMLFile

    public java.util.Vector getAllXMLFile()

  return the output file of export to xml

### exportToXMLObject

    public boolean exportToXMLObject(java.lang.String rstFileName,
                                     boolean isOnlyData,
                                     java.lang.String existedSchemaFile)

  Initialize exporting the specified report result to XML Element.

  Parameters:
    `rstFileName` - the result file name.
    `isOnlyData` - , indicates that only database column information is exported to the XML file, otherwise all report details, including all the properties will be exported.
    `existedSchemaFile` - , specify the schema file which is based when export to XML file, if set to null, create the schema file
  Returns:
    true if initalize successfully.

### exportToXMLObject

    public boolean exportToXMLObject(boolean isOnlyData,
                                     java.lang.String existedSchemaFile)

  Initialize exporting the current report to XML Element.

  Parameters:
    `isOnlyData` - , indicates that only database column information is exported to the XML file, otherwise all report details, including all the properties will be exported.
    `existedSchemaFile` - , specify the schema file which is based when export to XML file, if set to null, create the schema file
  Returns:
    true if initalize successfully.

### xmlHasNextPage

    public boolean xmlHasNextPage()

  judge whether have next page when export to xml object

### publishXMLNextPage

    public org.w3c.dom.Element publishXMLNextPage()

  return next xml object when export to xml object.

### exportToXls

    public boolean exportToXls(java.lang.String rstFileName,
                               java.lang.String xlsFileName,
                               int isWordWrap,
                               boolean isBiff8,
                               int param,
                               boolean shareLabel)

  Exports report result file(with the .rst extension)to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Parameters:
    `rstFileName` - the result file name.
    `xlsFileName` - the Xls file name.
    `isWordWrap` - indicates whether wordwrap the field, the value must to be KEEPORIGIN, NOWORDWRAP or WORDWRAPALL
    `isBiff8` - indicates whether in Excel2000 format
    `param` - whether export shape to excel or not
  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(java.lang.String rstFileName,
                               java.lang.String xlsFileName,
                               int isWordWrap,
                               boolean isBiff8,
                               int param)

  Exports report result file(with the .rst extension)to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Parameters:
    `rstFileName` - the result file name.
    `xlsFileName` - the Xls file name.
    `isWordWrap` - indicates whether wordwrap the field, the value must to be KEEPORIGIN, NOWORDWRAP or WORDWRAPALL
    `isBiff8` - indicates whether in Excel2000 format
    `param` - whether export shape to excel or not
  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(java.lang.String rstFileName,
                               java.lang.String xlsFileName,
                               int isWordWrap,
                               boolean isBiff8)

  Exports report result file(with the .rst extension)to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Parameters:
    `rstFileName` - the result file name.
    `xlsFileName` - the Xls file name.
    `isWordWrap` - indicates whether wordwrap the field, the value must to be KEEPORIGIN, NOWORDWRAP or WORDWRAPALL
    `isBiff8` - indicates whether in Excel2000 format
  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(java.lang.String rstFileName,
                               java.lang.String xlsFileName,
                               int isWordWrap)

  Exports report result file(with the .rst extension)to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Parameters:
    `rstFileName` - the result file name.
    `xlsFileName` - the Xls file name.
    `isWordWrap` - indicates whether wordwrap the field, the value must to be KEEPORIGIN, NOWORDWRAP or WORDWRAPALL
  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(java.lang.String rstFileName,
                               java.lang.String xlsFileName)

  Exports report result file(with the .rst extension)to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Parameters:
    `rstFileName` - the result file name.
    `xlsFileName` - the Xls file name.
  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(java.lang.String xlsFileName)

  Exports the current report to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Parameters:
    `xlsFileName` - the Xls file name.
  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(java.io.OutputStream os)

  Exports the current report to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(java.lang.String xlsFileName,
                               int isWordWrap)

  Exports report result file(with the .rst extension)to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Parameters:
    `xlsFileName` - the Xls file name.
    `isWordWrap` - indicates whether wordwrap the field, the value must to be KEEPORIGIN, NOWORDWRAP or WORDWRAPALL
  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(java.lang.String xlsFileName,
                               int isWordWrap,
                               boolean isBiff8)

  Exports report result file(with the .rst extension)to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Parameters:
    `xlsFileName` - the Xls file name.
    `isWordWrap` - indicates whether wordwrap the field, the value must to be KEEPORIGIN, NOWORDWRAP or WORDWRAPALL
    `isBiff8` - indicates whether export in Excel2000 format
  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(java.lang.String xlsFileName,
                               int isWordWrap,
                               boolean isBiff8,
                               int param)

  Exports report result file(with the .rst extension)to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Parameters:
    `xlsFileName` - the Xls file name.
    `isWordWrap` - indicates whether wordwrap the field, the value must to be KEEPORIGIN, NOWORDWRAP or WORDWRAPALL
    `isBiff8` - indicates whether export in Excel2000 format
    `param` - Indicates whether export geometry object to excel file
  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(java.lang.String xlsFileName,
                               int isWordWrap,
                               boolean isBiff8,
                               int param,
                               boolean shareLabel)

  Exports report result file(with the .rst extension)to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Parameters:
    `xlsFileName` - the Xls file name.
    `isWordWrap` - indicates whether wordwrap the field, the value must to be KEEPORIGIN, NOWORDWRAP or WORDWRAPALL
    `isBiff8` - indicates whether export in Excel2000 format
  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(java.io.OutputStream os,
                               int isWordWrap,
                               int param,
                               boolean shareLabel)

  Exports report result file(with the .rst extension)to BIFF(Binary File Format). The result of BIFF is saved in a .xls file. This file can be opened by Microsoft Excel.

  Parameters:
    `os` - the output excel stream.
    `isWordWrap` - indicates whether wordwrap the field, the value must to be KEEPORIGIN, NOWORDWRAP or WORDWRAPALL
    `isBiff8` - indicates whether export in Excel2000 format
  Returns:
    true if exported successfully.

### getAllXlsFile

    public java.util.Vector getAllXlsFile()

  Returns all Excel files that are generated by exportToXls.

### configMailServer

    public void configMailServer(java.lang.String SMTPServerIP,
                                 java.lang.String MyMailAddress,
                                 int SMTPServerPort)

  Configures the mail server.

  Parameters:
    `SMTPServerIP` - the mail server IP address
    `MyMailAddress` - sender's mail address
    `SMTPServerPort` - the mail server port

### setAuthencatorMessage

    public void setAuthencatorMessage(java.lang.String username,
                                      java.lang.String password,
                                      java.lang.String mailAddress)

  set the mail authencator message

  Parameters:
    `username` -
    `password` -
    `mailAddresss` - NOTICE: please do not invoke this method if the SMTP needn't authentication

### exportToMail

    public void exportToMail(java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat)
                      throws java.lang.Exception

  Exports the current report to mail.

  Parameters:
    `rcpt` - the address of the receipt
    `cc` - copy to address
    `bcc` - blind copy to address
    `subject` - the mail subject
    `comments` - any text string for memoire
    `compress` - indicates whether use java compress utilities to compress mail contents
    `rptformat` - available choice are : rst file mail, html mail, html files mail, pdf file mail, plain text mail and SDF format text mail
  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin)
                      throws java.lang.Exception

  Exports the current report to mail.

  Parameters:
    `rcpt` - the address of the receipt
    `cc` - copy to address
    `bcc` - blind copy to address
    `subject` - the mail subject
    `comments` - any text string for memoire
    `compress` - indicates whether use java compress utilities to compress mail contents
    `rptformat` - available choice are : rst file mail, html mail, html files mail, pdf file mail, plain text mail and SDF format text mail
    `noMargin` - indicate that export file without page Margin
  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight)
                      throws java.lang.Exception

  Exports the current report to mail.

  Parameters:
    `rcpt` - the address of the receipt
    `cc` - copy to address
    `bcc` - blind copy to address
    `subject` - the mail subject
    `comments` - any text string for memoire
    `compress` - indicates whether use java compress utilities to compress mail contents
    `rptformat` - available choice are : rst file mail, html mail, html files mail, pdf file mail, plain text mail and SDF format text mail
    `noMargin` - indicate that export file without page Margin
    `udwidth` - and udheight are user defined char width and height used in plain text format
  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode)
                      throws java.lang.Exception

  Exports the current report to mail.

  Parameters:
    `rcpt` - the address of the receipt
    `cc` - copy to address
    `bcc` - blind copy to address
    `subject` - the mail subject
    `comments` - any text string for memoire
    `compress` - indicates whether use java compress utilities to compress mail contents
    `rptformat` - available choice are : rst file mail, html mail, html files mail, pdf file mail, plain text mail and SDF format text mail
    `noMargin` - indicate that export file without page Margin
    `udwidth` - and udheight are user defined char width and height used in plain text format
    `isSimPrintMode` - indicates to generate the pdf file use simulated print mode.
  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage)
                      throws java.lang.Exception

  Exports the current report to mail.

  Parameters:
    `rcpt` - the address of the receipt
    `cc` - copy to address
    `bcc` - blind copy to address
    `subject` - the mail subject
    `comments` - any text string for memoire
    `compress` - indicates whether use java compress utilities to compress mail contents
    `rptformat` - available choice are : rst file mail, html mail, html files mail, pdf file mail, plain text mail and SDF format text mail
    `noMargin` - indicate that export file without page Margin
    `udwidth` - and udheight are user defined char width and height used in plain text format
    `isSimPrintMode` - indicates to generate the pdf file use simulated print mode.
    `isCompressImage` - indicatess to generate the pdf file compress image.
  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage,
                             boolean isMutibleFileXML,
                             boolean isDataOnlyXML,
                             boolean hasHeadFoot)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage,
                             boolean isDataOnlyXML,
                             java.lang.String xsdFile,
                             boolean hasHeadFoot)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage,
                             boolean isDataOnlyXML,
                             java.lang.String xsdFile,
                             boolean hasHeadFoot,
                             boolean isGifTrans)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage,
                             boolean isDataOnlyXML,
                             java.lang.String xsdFile,
                             boolean hasHeadFoot,
                             boolean isGifTrans,
                             boolean bTxtCompress)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage,
                             boolean isDataOnlyXML,
                             java.lang.String xsdFile,
                             boolean hasHeadFoot,
                             boolean isGifTrans,
                             boolean bTxtCompress,
                             boolean isTable)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage,
                             boolean isDataOnlyXML,
                             java.lang.String xsdFile,
                             boolean hasHeadFoot,
                             boolean isGifTrans,
                             boolean bTxtCompress,
                             boolean isTable,
                             int isWordWrap)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage,
                             boolean isDataOnlyXML,
                             java.lang.String xsdFile,
                             boolean hasHeadFoot,
                             boolean isGifTrans,
                             boolean bTxtCompress,
                             boolean isTable,
                             int isWordWrap,
                             boolean isBiff8)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage,
                             boolean isDataOnlyXML,
                             java.lang.String xsdFile,
                             boolean hasHeadFoot,
                             boolean isGifTrans,
                             boolean bTxtCompress,
                             boolean isTable,
                             int isWordWrap,
                             boolean isBiff8,
                             int param)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage,
                             boolean isDataOnlyXML,
                             java.lang.String xsdFile,
                             boolean hasHeadFoot,
                             boolean isGifTrans,
                             boolean bTxtCompress,
                             boolean isTable,
                             int isWordWrap,
                             boolean isBiff8,
                             int param,
                             boolean bToc,
                             boolean bDrill)
                      throws java.lang.Exception

  Exports the current report to mail.

  Parameters:
    `rcpt` - the address of the receipt
    `cc` - copy to address
    `bcc` - blind copy to address
    `subject` - the mail subject
    `comments` - any text string for memoire
    `compress` - indicates whether use java compress utilities to compress mail contents
    `rptformat` - available choice are : rst file mail, html mail, html files mail, pdf file mail, plain text mail and SDF format text mail
    `noMargin` - indicate that export file without page Margin
    `udwidth` - and udheight are user defined char width and height used in plain text format
    `isSimPrintMode` - indicates to generate the pdf file use simulated print mode.
    `isCompressImage` - indicates to generate the pdf file compress image.
    `bToc` - indicates to generate the pdf file with TOC
    `bDrill` - indicates to generate the pdf file with Drill Down
    `param` - indicates to generate the excel file with geometry object
  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage,
                             boolean isDataOnlyXML,
                             java.lang.String xsdFile,
                             boolean hasHeadFoot,
                             boolean isGifTrans,
                             boolean bTxtCompress,
                             boolean isTable,
                             int isWordWrap,
                             boolean isBiff8,
                             boolean bToc,
                             boolean bDrill,
                             java.lang.String encoding)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             int rptformat,
                             boolean noMargin,
                             int udwidth,
                             int udheight,
                             boolean isSimPrintMode,
                             int isCompressImage,
                             boolean isDataOnlyXML,
                             java.lang.String xsdFile,
                             boolean hasHeadFoot,
                             boolean isGifTrans,
                             boolean bTxtCompress,
                             boolean isTable,
                             int isWordWrap,
                             boolean isBiff8,
                             int param,
                             boolean bToc,
                             boolean bDrill,
                             java.lang.String encoding)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             boolean isDataOnly,
                             java.lang.String xsdFile)
                      throws java.lang.Exception

  Exports the current report to mail. The report format is xml file.

  Parameters:
    `rcpt` - the address of the receipt
    `cc` - copy to address
    `bcc` - blind copy to address
    `subject` - the mail subject
    `comments` - any text string for memoire
    `compress` - indicates whether use java compress utilities to compress
    `isOnlyData` - , indicate only database column information to XML file, else all the detailed information of the report, including all the property value of each report object will be exported.
    `xsdFile,` - indicate base the xsd File output XML.
  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(java.lang.String from,
                             java.lang.String rcpt,
                             java.lang.String cc,
                             java.lang.String bcc,
                             java.lang.String subject,
                             java.lang.String comments,
                             boolean compress,
                             boolean isDataOnly,
                             java.lang.String xsdFile)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(MailInformation info)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportToMail

    public void exportToMail(ExportInfo exportInfo,
                             MailInformation info)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### sendNormalMail

    public void sendNormalMail(java.lang.String rcpt,
                               java.lang.String cc,
                               java.lang.String bcc,
                               java.lang.String subject,
                               java.lang.String comments,
                               boolean compress,
                               java.util.Vector additionfiles)
                        throws java.lang.Exception

  Export current report engine that has already run to mail.

  Parameters:
    `rcpt` - receipt address
    `cc` - copy to address
    `bcc` - blind copy to address
    `subject` - mail subject
    `comments` - any text string for memoire
    `compress` - indicates whether to use java compress utilities to compress the mail contents
    `additionfiles` - addition file attached to the mail other than report results, if addition file is null, it means no files attached to the mail.
  Throws:
    `java.lang.Exception`

### sendNormalMail

    public void sendNormalMail(java.lang.String from,
                               java.lang.String rcpt,
                               java.lang.String cc,
                               java.lang.String bcc,
                               java.lang.String subject,
                               java.lang.String comments,
                               boolean compress,
                               java.util.Vector additionfiles)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setNamedWherePortion

    public void setNamedWherePortion(java.lang.String name)

  Sets the where portion name in the query.

### setNamedWherePortion

    public void setNamedWherePortion(java.lang.String dataSourceName,
                                     java.lang.String queryName,
                                     java.lang.String name)

  Sets the where portion name in the query.

### setWherePortion

    public void setWherePortion(java.lang.String where)

  Sets the where portion in the SQl query.

### setWherePortion

    public void setWherePortion(java.lang.String dataSourceName,
                                java.lang.String queryName,
                                java.lang.String where)

  Sets the where portion in the SQl query.

### saveWherePortion

    public boolean saveWherePortion(java.lang.String strName,
                                    java.lang.String strQueryName,
                                    java.lang.String strSQL)

  Saves the where portion to the specified query and save the catalog.

  Parameters:
    `strName,` - the name of the where portion
    `strQueryName,` - the name of the query the where portion is set
    `strSQL,` - the where portion statement
  Returns:
    true if the where portion is saved successfully.

### saveWherePortion

    public boolean saveWherePortion(java.lang.String strName,
                                    java.lang.String dataSourceName,
                                    java.lang.String strQueryName,
                                    java.lang.String strSQL)

  Saves the where portion to the specified query and save the catalog.

  Parameters:
    `strName,` - the name of the where portion
    `dataSourceName,` - the name of the datasource the where portion is set
    `strQueryName,` - the name of the query the where portion is set
    `strSQL,` - the where portion statement
  Returns:
    true if the where portion is saved successfully.

### saveWherePortion

    public boolean saveWherePortion(java.lang.String strName,
                                    java.lang.String strQueryName,
                                    java.util.Vector vecGroups)

  Save the where portion to the specified query and save the catalog.

  Parameters:
    `strName,` - the name of where portion.
    `strQueryName,` - the name of the query the where portion is set.
    `vecGroups,` - the where portion structure.
  Returns:
    true if the where portion is saved successfully.

### saveWherePortion

    public boolean saveWherePortion(java.lang.String strName,
                                    java.lang.String dataSourceName,
                                    java.lang.String strQueryName,
                                    java.util.Vector vecGroups)

  Save the where portion to the specified query and save the catalog.

  Parameters:
    `strName,` - the name of where portion.
    `dataSourceName,` - the name of the datasource the where portion is set.
    `strQueryName,` - the name of the query the where portion is set.
    `vecGroups,` - the where portion structure.
  Returns:
    true if the where portion is saved successfully.

### saveWherePortion

    public boolean saveWherePortion(java.lang.String strName,
                                    java.lang.String strSQL)

  Parameters:
    `strName,` - the name of the where portion.
    `strSQL,` - the where portion statement.
  Returns:
    true if the where portion is saved successfully.

### saveWherePortion

    public boolean saveWherePortion(java.lang.String strName,
                                    java.util.Vector vecGroups)

  Parameters:
    `strName,` - the name of where portion.
    `vecGroups,` - the where portion structure.
  Returns:
    true if the where portion is saved successfully.

### modifyWherePortion

    public boolean modifyWherePortion(java.lang.String strName,
                                      java.lang.String strSQL)

  Parameters:
    `strName,` - the name of where portion.
    `strSQL,` - the where portion statement.
  Returns:
    true if the where portion is saved successfully.

### modifyWherePortion

    public boolean modifyWherePortion(java.lang.String strName,
                                      java.util.Vector vecGroups)

  Parameters:
    `strName,` - the name of where portion.
    `vecGroups,` - the where portion structure.
  Returns:
    true if the where portion is saved successfully.

### deleteWherePortion

    public boolean deleteWherePortion(java.lang.String strName)

  Removes the specified where portion and save the catalog.

  Parameters:
    `strName,` - the name of the where portion.
  Returns:
    true if the where portion is deleted successfully.

### deleteWherePortion

    public boolean deleteWherePortion(java.lang.String strName,
                                      java.lang.String sourceName)

  Removes the specified where portion and save the catalog.

  Parameters:
    `strName,` - the name of the where portion.
  Returns:
    true if the where portion is deleted successfully.

### getAvailableWherePortions

    public java.util.Enumeration getAvailableWherePortions(java.lang.String datasourceName,
                                                           java.lang.String queryName)

  Gets the enumeration of all the where portion names in the catalog.

  Returns:
    a enumeration of the where portion names.

### getAvailableWherePortions

    public java.util.Enumeration getAvailableWherePortions()

  Gets the enumeration of all the where portion names in the catalog.

  Returns:
    a enumeration of the where portion names.

### getAvailableQueryFields

    public java.util.Enumeration getAvailableQueryFields()

  Gets the available fields of the query The available fields include: 1. Query field in the select clause. 2. Available formulas. These formulas do not include summary and group level formulas. 3. All of the parameters. 4. All the table columns in the from clause.

  Returns:
    a enumeration that contains QueryFieldDesc, null if the query is not found.

### getWherePortionsSQL

    public java.lang.String getWherePortionsSQL(java.lang.String nameOfWherePortion)

  Gets the specified where portion.

  Parameters:
    `nameOfWherePortion,` - the name of the where portion.
  Returns:
    the statement of where portion if successfully, else null.

### getWherePortionsSQL

    public java.lang.String getWherePortionsSQL(java.lang.String nameOfWherePortion,
                                                java.lang.String sourceName)

  Gets the specified where portion.

  Parameters:
    `nameOfWherePortion,` - the name of the where portion.
    `sourceName,` - the name of the data source.
  Returns:
    the statement of where portion if successfully, else null.

### saveCatalog

    public boolean saveCatalog()

  Saves the catalog

  Returns:
    true if successful.

### addFileQuery

    public boolean addFileQuery(java.lang.String strName,
                                java.io.File flPath)

  Add the specified file query to the current catalog.

  Parameters:
    `strName,` - the name of the file query.
    `flPath,` - the sql file.
  Returns:
    true if successful, otherwise false.

### addFileQuery

    public boolean addFileQuery(java.lang.String strName,
                                java.io.File flPath,
                                java.lang.String sourceName)

  Add the specified file query to the current catalog.

  Parameters:
    `strName,` - the name of the file query.
    `flPath,` - the sql file.
    `sourceName,` - the name of the data source.
  Returns:
    true if successful, otherwise false.

### getSQL

    public java.lang.String getSQL()

  Gets the sql statement of this report.

  Returns:
    the sql statement.

### modifyUserInfo

    public void modifyUserInfo(java.lang.String strUserName,
                               java.lang.String strPassword)

  Modifies the User and Password information in the specified connection description. Note: A connection contains the tables, views, stored procedures and file queries. The queries, formulas and summaris also depend on the connection. Please be careful when you call this method.

### modifyUserInfo

    public void modifyUserInfo(java.lang.String strUserName,
                               java.lang.String strPassword,
                               java.lang.String dataSourceName)

  Modifies the User and Password information in the specified connection description. Note: A connection contains the tables, views, stored procedures and file queries. The queries, formulas and summaris also depend on the connection. Please be careful when you call this method.

### setCatalogBean

    public void setCatalogBean(JRCatalog catalogBean)

  Sets the catalog bean. If the catalog bean is set, then load the universe from this catalog bean.

  Parameters:
    `catalogBean` - is an instance of the Catalog.

### setConnection

    public void setConnection(java.lang.String strURL,
                              java.lang.String strUID,
                              java.lang.String strPSWD,
                              java.lang.String strJdbcDriver)

  Sets the connection required to run the engine.

  Parameters:
    `strURL,` - the URL of the database.
    `strUID,` - the user id for the JDBC driver.
    `strPSWD,` - the password for the JDBC driver.
    `strJdbcDriver,` - the JdbcDriver.

### setConnection

    public void setConnection(java.lang.String strUID,
                              java.lang.String strPSWD)

  method setConnection() set arguments for connectiong database. This overloading method just reset 2 arguments.

### setConnection

    public void setConnection(java.lang.String strURL,
                              java.lang.String strUID,
                              java.lang.String strPSWD,
                              java.lang.String strJdbcDriver,
                              boolean fetchSupportInfo)

  Sets the connection required to run the engine.

  Parameters:
    `strURL,` - the URL of the database.
    `strUID,` - the user id for the JDBC driver.
    `strPSWD,` - the password for the JDBC driver.
    `strJdbcDriver,` - the JdbcDriver.
    `fetchSupportInfo,` - Set true to get the user support information.

### setConnection

    public void setConnection(java.lang.String dataSourceName,
                              java.sql.Connection userDbConnection)

  Sets the connection required to run the engine.

  Parameters:
    `dataSourceName` - the specified database name.
    `userDbConnection` - the user provided connection.

### setConnection

    public void setConnection(java.lang.String dataSourceName,
                              java.sql.Connection userDbConnection,
                              boolean fetchSupportInfo)

  Sets the connection required to run the engine.

  Parameters:
    `dataSourceName` - the specified database name.
    `userDbConnection` - the user provided connection.
    `fetchSupportInfo,` - Set true to get the user support information. This method will only work when the user has set the connection object or url.

### setConnection

    public void setConnection(java.lang.String dataSourceName,
                              java.lang.String strUID,
                              java.lang.String strPSWD)

  Sets the connection required to run the engine.

  Parameters:
    `dataSourceName` - the specified database name.
    `strUID` - the user id for the JDBC driver.
    `strPSWD` - the password for the JDBC driver.

### setConnection

    public void setConnection(java.lang.String dataSourceName,
                              java.lang.String strURL,
                              java.lang.String strUID,
                              java.lang.String strPSWD,
                              java.lang.String strJdbcDriver)

  Sets the connection required to run the engine.

  Parameters:
    `dataSourceName` - the specified database name.
    `strUID` - the user id for the JDBC driver.
    `strPSWD` - the password for the JDBC driver.
    `strURL` - the URL of the database.
    `strJdbcDriver` - the JdbcDriver class name.

### setConnection

    public void setConnection(java.lang.String dataSourceName,
                              java.lang.String strURL,
                              java.lang.String strUID,
                              java.lang.String strPSWD,
                              java.lang.String strJdbcDriver,
                              boolean fetchSupportInfo)

  Sets the connection required to run the engine.

  Parameters:
    `dataSourceName` - the specified database name.
    `strUID` - the user id for the JDBC driver.
    `strPSWD` - the password for the JDBC driver.
    `strURL` - the URL of the database.
    `strJdbcDriver` - the JdbcDriver class name.
    `fetchSupportInfo,` - Set true to get the user support information.

### setConnection

    public void setConnection(java.sql.Connection userDbConnection)

  Set the connection required to run the engine.

  Parameters:
    `userDbConnection,` - the JDBC Connection object created by the user. Users should close it by themselves.

### setConnection

    public void setConnection(java.sql.Connection userDbConnection,
                              boolean fetchSupportInfo)

  Set the connection required to run the engine.

  Parameters:
    `userDbConnection,` - the JDBC Connection object created by the user. Users should close it by themselves.
    `fetchSupportInfo,` - Set true to get the user support information. This method will only work when the user has set the connection object or url.

### setFetchSupportInfo

    public void setFetchSupportInfo(boolean fetchSupportInfo)

  Set true to get the user support information. This method will only work when the user has set the connection object or url.

  Parameters:
    `fetchSupportInfo,` - a boolean value.

### setUserResultSet

    public void setUserResultSet(java.sql.ResultSet userResultSet)

  Set the resultset required to run the report.

  Parameters:
    `userResultSet,` - the JDBC ResultSet object created by the user. Users should release it by themselves.

### getDetailsFields

    public java.util.Vector getDetailsFields()
                                      throws java.lang.Exception

  Get all the fields information in the details section including fields in all subreport a field informaiton including field name and type

  Throws:
    `java.lang.Exception`

### setUserName

    public void setUserName(java.lang.String name)

  Sets the user name used for report Security Context

  Parameters:
    `name` - the user name used for report Security Context

### setSecurityContext

    public void setSecurityContext(SecurityContext sc)

  Sets the Security Context used for report

  Parameters:
    `securityContext` - the Security Context used for report

### getVersion

    public java.lang.String getVersion()

  Get version number, build number of the current version.

### getAllPrinters

    public static java.util.Vector getAllPrinters(java.lang.String reportHome)

  If use JDK14 and higher JDK version to setup production, will return system all avilable printer.Otherwise get all printer names which user defined in printers.ini

### getAllPrinters

    public static java.util.Vector getAllPrinters()

  for get the all printer in system.only can do this in JDK14 and advance JDK version

### getRecordLength

    public int getRecordLength()
                        throws java.lang.Exception

  Deprecated. As of JReport version 8, programs return -1 always.

  Throws:
    `java.lang.Exception`

### getJoinCondition

    public java.lang.String getJoinCondition()

  Get join portion condition caluse in SQL statement.

### getWhereCondition

    public java.lang.String getWhereCondition()

  Get where portion conditions caluse in SQL statement.

### exportToFax

    public boolean exportToFax(ExportInfo info,
                               java.lang.String portStr,
                               java.lang.String initStr,
                               int iDialing,
                               int iFlowControl,
                               java.lang.String flowCommand,
                               int iClass,
                               int txtTimeOut,
                               int txtRetries,
                               boolean q_best,
                               boolean q_normal,
                               boolean q_fast,
                               boolean isAddCover,
                               java.lang.String faxnum,
                               java.lang.String from,
                               java.lang.String to,
                               java.lang.String company,
                               java.lang.String phone,
                               java.lang.String date,
                               java.lang.String re,
                               java.lang.String comments,
                               boolean urgent,
                               boolean review,
                               boolean comment,
                               boolean reply)
                        throws java.lang.Exception

  Exports the current report to fax.

  Parameters:
    `portStr` - is the port name.Such as COM1..
    `initStr` - is the initialize string of modem.
    `iDialing` - is dialing mode(tone or pulse)
    `iFlowControl` - is flow control mode of modem.
    `iFlowCommand` - is flow command of modem.
    `iClass` - is fax class.
    `txtTimeOut` - is to set how long will fax wait for response of destination.
    `txtRetries` - is to set how many times our application will refax to destination if there is busy.
    `q_best,q_normal,q_fast` - is the quality of fax image.
    `isAddCover` - is whether add cover before fax report.
    `faxnum` - is fax phone.
    `from` - is sender would be shown in cover.
    `to` - is receiver.
    `company` - is comapny name would be shown in cover.
    `phone` - is phone number would be shown in cover
    `re` - is subject.
    `comments` - is text.
    `urgent,review,comment,reply` - is remark of this fax would be shown in cover.
  Throws:
    `java.lang.Exception`

### exportToFax

    public boolean exportToFax(java.lang.String portStr,
                               java.lang.String initStr,
                               int iDialing,
                               int iFlowControl,
                               java.lang.String flowCommand,
                               int iClass,
                               int txtTimeOut,
                               int txtRetries,
                               boolean q_best,
                               boolean q_normal,
                               boolean q_fast,
                               boolean isAddCover,
                               java.lang.String faxnum,
                               java.lang.String from,
                               java.lang.String to,
                               java.lang.String company,
                               java.lang.String phone,
                               java.lang.String date,
                               java.lang.String re,
                               java.lang.String comments,
                               boolean urgent,
                               boolean review,
                               boolean comment,
                               boolean reply)
                        throws java.lang.Exception

  Exports the current report to fax.

  Parameters:
    `info` - The report information for export.
    `portStr` - is the port name.Such as COM1..
    `initStr` - is the initialize string of modem.
    `iDialing` - is dialing mode(tone or pulse)
    `iFlowControl` - is flow control mode of modem.
    `iFlowCommand` - is flow command of modem.
    `iClass` - is fax class.
    `txtTimeOut` - is to set how long will fax wait for response of destination.
    `txtRetries` - is to set how many times our application will refax to destination if there is busy.
    `q_best,q_normal,q_fast` - is the quality of fax image.
    `isAddCover` - is whether add cover before fax report.
    `faxnum` - is fax phone.
    `from` - is sender would be shown in cover.
    `to` - is receiver.
    `company` - is comapny name would be shown in cover.
    `phone` - is phone number would be shown in cover
    `re` - is subject.
    `comments` - is text.
    `urgent,review,comment,reply` - is remark of this fax would be shown in cover.
  Throws:
    `java.lang.Exception`

### exportToFax

    public boolean exportToFax(java.lang.String portStr,
                               java.lang.String initStr,
                               int iDialing,
                               int iFlowControl,
                               java.lang.String flowCommand,
                               int iClass,
                               int txtTimeOut,
                               int txtRetries,
                               boolean q_best,
                               boolean q_normal,
                               boolean q_fast,
                               java.lang.String faxnum)
                        throws java.lang.Exception

  Exports the current report to fax.

  Parameters:
    `portStr` - is the port name.Such as COM1..
    `initStr` - is the initialize string of modem.
    `iDialing` - is dialing mode(tone or pulse)
    `iFlowControl` - is flow control mode of modem.
    `iFlowCommand` - is flow command of modem.
    `iClass` - is fax class.
    `txtTimeOut` - is to set how long will fax wait for response of destination.
    `txtRetries` - is to set how many times our application will refax to destination if there is busy.
    `q_best,q_normal,q_fast` - is the quality of fax image.
    `isAddCover` - is whether add cover before fax report.
    `faxnum` - is fax phone.
  Returns:
    true if exported successfully.
  Throws:
    `java.lang.Exception`

### exportToFaxServer

    public boolean exportToFaxServer(ExportInfo info,
                                     java.lang.String className,
                                     JRFaxServerInfo faxinfo,
                                     JRCoverInfo coverinfo)
                              throws JRFaxServerException

  Exports the report to faxserver.

  Throws:
    `JRFaxServerException`

### exportToText

    public boolean exportToText(ExportInfo info,
                                TextParameter param)

  Exports the report to text file.

  Parameters:
    `info` - The report information for export.
    `param` - The text file information.
  Returns:
    true if exported successfully.

### exportToPS

    public boolean exportToPS(ExportInfo info,
                              PSParameter param)

  Exports the report to postscript file.

  Parameters:
    `info` - The report information for export.
    `param` - The postscript file information.
  Returns:
    true if exported successfully.

### exportToHtml

    public boolean exportToHtml(ExportInfo info,
                                HtmlParameter param)

  Exports the report to HTML file.

  Parameters:
    `info` - The report information for export.
    `param` - The HTML file information.
  Returns:
    true if exported successfully.

### exportToRtf

    public boolean exportToRtf(ExportInfo info,
                               RtfParameter param)

  Exports the report to RTF file.

  Parameters:
    `info` - The report information for export.
    `param` - The RTF file information.
  Returns:
    true if exported successfully.

### getCommunicator

    public Communicator getCommunicator(java.lang.String rptName,
                                        java.lang.String viewName,
                                        boolean security)

### getCurrReportParams

    public java.util.Vector getCurrReportParams()

  gets all parameters used by the current report in the report set.

  Returns:
    Vector contains all parameters as jet.formula.ParamDesc,

### getAllDataSource

    public static java.lang.String[] getAllDataSource(java.lang.String rptSetName,
                                                      int rptStatus)

  Parameters:
    `rptSetName` - report set file name contains full path.
    `rptStatus` - specifies which status report used datasource would be included.
  Returns:
    datasource names array

### getAllDataSource

    public static java.lang.String[] getAllDataSource(java.lang.String catName,
                                                      java.lang.String rptSetName,
                                                      int rptStatus)

  get all datasource name used by reports with specified status.

  Parameters:
    `rptSetName` - report set file name contains full path.
    `rptStatus` - specifies which status report used datasource would be included.
  Returns:
    datasource names array

### getAllDataSource

    public java.lang.String[] getAllDataSource(int rptStatus)

  get all datasource name used by reports with specified status.

  Parameters:
    `rptStatus` - specifies which status report used datasource would be included.
  Returns:
    datasource names array

### getAllDataSource

    public static java.lang.String[] getAllDataSource(java.lang.String catName)

  get all datasource name of specified catalog.

  Parameters:
    `catName` - catalog file name contains full path.
  Returns:
    datasource names array

### getThreadError

    public java.lang.Throwable getThreadError()

  gets throwable that throws when report runing

  Returns:
    throwable object

### refreshReport

    public void refreshReport(java.lang.String rptName)

  build bound data info of report for data engine and layout report.

  Parameters:
    `rptName` - name of report to refresh .

### runAllReport

    public void runAllReport()

  run all OPEN reports in the report set.

### runCurrentReport

    public void runCurrentReport()

  run current report based on current report in the report set.

### setRSDQuickViewMode

    public void setRSDQuickViewMode(boolean isRSDQuickView)

  Sets JReport DHTML quick-view mode

  Parameters:
    `isRSDQuickView` - Indicates the status of JReport DHTML quick-view mode. If it is true, JReport DHTML would try to run report in quickly mode, otherwise JReport DHTML would run report normally.

### getIsRSDQuickViewMode

    public boolean getIsRSDQuickViewMode()

  Gets status of JReport DHTML quick-view mode

  Returns:
    status of JReport DHTML quick-view mode. If it is true, JReport DHTML would run report in quickly mode, otherwise JReport DHTML would run report normally.

### runReport

    public void runReport(java.lang.String rsdFilename)

  run report based on rsd report file.

  Parameters:
    `rsdFilename` - The full path of the JReport RSD file.

### runReport

    public void runReport()

  run all opened report

### runReport

    public void runReport(java.util.Vector vReportName)

  run specified reports in the report set.

  Parameters:
    `vReportName` - indicates which reports in the report set will be run.

### runReport

    public void runReport(java.lang.String[] rptNames,
                          java.util.Vector[] viewNames)

### exportToPDF

    public boolean exportToPDF(ExportInfo info,
                               PDFParameter param)

  Exports the report to PDF file.

  Parameters:
    `info` - The report information for export.
    `param` - The PDF file information.
  Returns:
    true if exported successfully.

### exportToXls

    public boolean exportToXls(ExportInfo info,
                               ExcelParameter param)

  Exports the report to Excel file.

  Parameters:
    `info` - The report information for export.
    `param` - The Excel file information.
  Returns:
    true if exported successfully.

### getUserInfo

    public static java.lang.String[] getUserInfo(java.lang.String catName,
                                                 java.lang.String dataSourceName)

  get default user info in specified catalog and data source

  Parameters:
    `catName` - catalog file name containing full path.
    `dataSourceName` - specifies data source
  Returns:
    a String array with 2 length, the first suffix is user id, the second suffix is password.

### getUserInfoByReport

    public static java.lang.String[] getUserInfoByReport(java.lang.String reportName,
                                                         java.lang.String dataSourceName)

  get default user info in specified catalog and data source

  Parameters:
    `reportName` - self-contained report template file name containing full path.
    `dataSourceName` - specifies data source
  Returns:
    a String array with 2 length, the first suffix is user id, the second suffix is password.

### getReportsOfReportSet

    public static java.util.Vector getReportsOfReportSet(java.lang.String reportSetFileName)
                                                  throws ReadFailureException

  Parameters:
    `reportSetFileName` - indicates report set file name containing full path.
  Returns:
    a vector containing jet.bean.ReportInfo.
  Throws:
    `ReadFailureException`

### getReportsOfReportSet

    public static java.util.Vector getReportsOfReportSet(java.lang.String catName,
                                                         java.lang.String reportSetFileName)
                                                  throws ReadFailureException

  get report info

  Parameters:
    `reportSetFileName` - indicates report set file name containing full path.
  Returns:
    a vector containing jet.bean.ReportInfo.
  Throws:
    `ReadFailureException`

### getReportsOfReportSet

    public java.util.Vector getReportsOfReportSet()
                                           throws ReadFailureException

  get report info

  Returns:
    a vector containing jet.bean.ReportInfo.
  Throws:
    `ReadFailureException`

### getReportsOfResult

    public java.util.Vector getReportsOfResult(java.lang.String rstFileName)

  get report info from result file

  Parameters:
    `rstFileName,` - the JReport rst file Name
  Returns:
    a vector containing jet.bean.ReportInfo.

### printReportJDK14

    public void printReportJDK14(boolean bInteractive,
                                 boolean bInBackground,
                                 JReportPrintListener jreportprintlistener,
                                 java.lang.String jobName,
                                 java.util.Vector attributeInfo,
                                 java.util.Vector customMedias,
                                 java.lang.String printer)
                          throws NoSuchPrintAttributeException

  Prints the report with the specified parameters.

  Parameters:
    `bInteractive` - a boolean value, if you set it to true,present a print setup dialog to the user for changing the properties of the print job. Otherwise the print setup dialog will not show up.
    `bInBackground` - a boolean value, if you set it to false, show the printing progress dialog with printing progress bar in it.
    `jreportprintlistener` - is the listener of print. It is a interface which contains two methods that printStart() and printEnd(). This interface is useful, when you want to get the print status -- start or end, for example. Otherwise, you can set it to null.
    `jobName` - specify print job name.
    `attributeInfo` - is a vector which elements are string. Each String has defined in interface PrintConfig. For example,you can implement PrintConfig and call its fields like this: attributeInfo.add(TRAY_MANUAL); attributeInfo.add(ORIENTATION_PORTRAIT);
    `customMedias` - is a vector whose elements are some instance of CustomMedia. Until now,JReport provides the following CustomMedia: CustomMediaCopies,CustomMediaMargin,CustomMediaTray. CustomMediaCopies indicates printed copies. CustomMediaMargin indicates page margin when printing.You may create an instance of CustomMediaMargin which includes four values representing left, right, top and bottom margin. CustomMediaTray indicates special tray which is not standard tray defined in java. If want to specify a special tray ,he must specify a printer name.Otherwise there will find this tray in default printer.If the specify printer has not such a tray,there would throw a NoSuchPrintAttributeException. If needed,you may get all media tray's names in a special printer by call getAllMediaTray(String printerName). You may create an instance of customMedias like below: Vector customMedias = new Vector(); customMedias.add(); customMedias.add(new CustomMediaCopies(2)); customMedias.add(new CustomMediaMargin(10f, 12f, 10f, 15f,CustomMediaMargin.MM)); customMedias.add(new CustomMediaMargin(0.8f, 1f, 1.5f, 0.8f,CustomMediaMargin.INCH)); customMedias.add(new CustomMediaTray("Multi-Purpose Tray"));
    `printer` - specify the printer you want to use.This printer name must be with full path. You can call getAllPrinters() method for jdk 1.4 to get the list of system printers. This printReportJDK14 method is only for jdk 1.4 or above. An example of calling this printReportJDK14() method: PrinterJob job = PrinterJob.getPrinterJob(); Vector attributeInfo = new Vector(); attributeInfo.add(PrintConfig.ORIENTATION_LANDSCAPE); Vector customMedias = new Vector(); customMedias.add(new CustomMediaCopies(2)); customMedias.add(new CustomMediaMargin(0.8f, 1f, 1.5f, 2f,CustomMediaMargin.INCH)); customMedias.add(new CustomMediaTray("Multi-Purpose Tray")); try { bean.printReportJDK14(true,false,null,"jobname", attributeInfo,customMedias,"\\\\192.168.128.111\\Samsung SCX-5x12 Series PCL 6"); }catch(NoSuchPrintAttributeException ec) { System.out.println(ec); }
  Throws:
    `NoSuchPrintAttributeException` - if these parameters in attributeInfo or customMedias do not support, or if the JDK version is less than JDK 1.4.0
  Since:
    version 7.x SP2, version 8.0
  See Also:
    `PrintConfig`, `jet.bean.CustomMediaCopies`, `jet.bean.CustomMediaMargin`, `jet.bean.CustomMediaTray`, `jet.bean.CustomJobPriority`, `jet.bean.CustomMediaPaper`, `jet.bean.CustomPageRanges`, `jet.bean.CustomToFile`, `jet.bean.CustomUserName`, `jet.bean.CutomJobName`

### getAllMediaTray

    public static java.util.Vector getAllMediaTray(java.lang.String printerName)
                                            throws NoSuchPrintAttributeException

  for get all media tray for specify printer.Only can do this in JDK14 and advance JDK version

  Throws:
    `NoSuchPrintAttributeException`

### layoutReport

    public void layoutReport(java.lang.String rptName)

  layout a report.

  Parameters:
    `rptName` - name of report to layout.

### runDataSet

    public void runDataSet(java.lang.String dataSetId)

  run a data set and run related reports.

  Parameters:
    `dataSetId` - id of data set to run.

### getCurrentReport

    public ReportInfo getCurrentReport()

  Gets the current report information.

  Returns:
    report information.

### getRuntimeInfo

    public RuntimeInfo getRuntimeInfo()

  Deprecated. Replaced by getRuntimeInfo(String reportName) get RuntimeInfo instance of JREngine.

  Returns:
    a RuntimeInfo instance.

### setRuntimeInfo

    public void setRuntimeInfo(RuntimeInfo runtimeInfo)

  Deprecated. Replaced by setRuntimeInfo(String reportName, RuntimeInfo runtimeInfo). set runtimeInfo of JREngine.

  Parameters:
    `runtimeInfo` - The runtimeInfo to set.

### setRuntimeInfos

    public void setRuntimeInfos(java.util.HashMap runtimeInfos)

  Sets RuntimeInfos of reportset key is report instance name, value is RuntimeInfo

### getRuntimeInfos

    public java.util.HashMap getRuntimeInfos()

  Gets RuntimeInfos of reportset

  Returns:
    Hashmap of RuntimeInfos, key is report instance name, value is RuntimeInfo

### setRuntimeInfo

    public void setRuntimeInfo(java.lang.String reportName,
                               RuntimeInfo runtimeInfo)

  Set RuntimeInfo of report

  Parameters:
    `reportName` - report instance name
    `runtimeInfo` - RuntimeInfo of specified report

### getRuntimeInfo

    public RuntimeInfo getRuntimeInfo(java.lang.String reportName)

  Gets RuntimeInfo of report

  Parameters:
    `reportName` - report instance name
  Returns:
    RuntimeInfo of specified report

### relayout

    public boolean relayout(java.lang.String reportName,
                            RuntimeInfo info)

  Re-run report with specified RuntimeInfo

  Parameters:
    `reportName` - report instance name
    `info` - RuntimeInfo indicates the information for re-run report, such as precision, style.
  Returns:
    true if re-run sucessfully, other wise return false

### setNLSBundleInfo

    public void setNLSBundleInfo(NLSBundleInfo info)

  Sets NLS resource bundled informations

  Parameters:
    `info` - NLS resource bundled information interface

### getNLSBundleInfo

    public NLSBundleInfo getNLSBundleInfo()

  Gets NLS resource bundled informations

### isIgnoreExportStyle

    public boolean isIgnoreExportStyle(boolean ignoreExportStyle)

  Sets if the report exporting ignore export style

### isIgnoreExportStyle

    public boolean isIgnoreExportStyle()

  Gets if the report exporting ignore export style

  Returns:
    if the report exporting ignore export style

### setXmlStreamFactory

    public void setXmlStreamFactory(java.lang.String datasourceName,
                                    InputStreamFactory streamFactory)
                             throws JRScheduleException

  Sets xml data stream factory

  Parameters:
    `datasourceName` - indicates datasource name
    `streamFactory` - user implemented InputStreamFactory
  Throws:
    `JRScheduleException`

### getXmlStreamFactory

    public InputStreamFactory getXmlStreamFactory(java.lang.String datasourceName)

  Gets xml data stream factory

  Parameters:
    `datasourceName` - indicates datasource name
  Returns:
    InputStreamFactory

### setHDSStreamFactory

    public void setHDSStreamFactory(java.lang.String datasourceName,
                                    java.lang.String HDSName,
                                    InputStreamFactory streamFactory)
                             throws JRScheduleException

  Set HDS data stream factory

  Parameters:
    `datasourceName` - indicates datasource name
    `HDSName` - indicates HDS name
    `streamFactory` - user implemented HDS InputStreamFactory
  Throws:
    `JRScheduleException`

### getHDSStreamFactory

    public InputStreamFactory getHDSStreamFactory(java.lang.String datasourceName,
                                                  java.lang.String HDSName)

  Gets HDS data stream factory

  Parameters:
    `datasourceName` - indicates datasource name
    `HDSName` - indicates HDS name
  Returns:
    HDS InputStreamFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD